label scene_coast:
    label .south_01:
        $ outdoor()
        $ map_point = south_coast_01

        if calendar[3] > 6 and calendar[3] < 20:
            show bg forest_day with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Smooth pebble beach stretch out for several miles. Dried algae and seaweed has washed up across the dark stones. A harsh smell of fish and decay mixes with the bitter ocean air. Pebbles shift slightly under the flowing water as it licks up the beach. The dull sound of crashing waves reverberates down the coast. The sounds mingle with the cries of seagulls overhead."
                # Rain
                elif weather == 2:
                    $ _t = "Rain pours down across the pebble beach, leaving the stones slick and glistening. What little light peaks through the clouds reflects brilliantly across the dark ocean waters. The beach has been washed clean by the rain, leaving only dark smooth stones. The nearby treeline is the only source of cover from the storm and only provides a little protection from the rain."
                # Storm
                else:
                    $ _t = "Harsh crashes of lightning light the dark pebble beach before you. Light glitters across the rain soaked stones like stars flickering out of existence. Heavy wave crash and push against the stones creating uneven footing as you walk. The ocean churns violently in the storm. There is a heavy chill in the air as sea spray and rain are thrust violently in the wind."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Coast Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Coast Messis Day Rain"
                # Storm
                else:
                    $ _t = "Coast Messis Day Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Coast Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Coast Levisomnus Day Rain"
                # Storm
                else:
                    $ _t = "Coast Levisomnus Day Storm"
        # Night
        else:
            show bg forest_night with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Smooth dark pebbles drift out towards the dark ocean waters. Flickering light shift and reflect stars across the dark ocean. Gentle waves lap at the shores, hiding the treacherous currents that churn beneath the surface. Dried algae and rotting seaweed cling between the smooth stones. The strong scent of salt water mixes with the scent of rotting plant matter. Your nose wrinkle instinctively at the smell."
                # Rain
                elif weather == 2:
                    $ _t = "Rain pours down heavily across the dark beach. Slick stones shift under the crashing waves as they wash the coast clean. The ocean churns and crashes in the storm. The beating of the rain mixes with the whistling wind creating a deafening cacophony of noise. The nearby treeline provides little cover from the wind and rain."
                # Storm
                else:
                    $ _t = "A violent rain pours across the dark beach. Flashes of lightning illuminate the treacherous, churning ocean waters. Booming thunder echoes with each flash of light, breaking through the din of rain against stone. The large smooth stones that form the beach shift under the torrent of rain and waves. The beach is covered in the shadow of the stormy night, silhouetted trees in the distance appear like a dark wall of spikes."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Coast Messis Night"
                # Rain
                elif weather == 2:
                    $ _t = "Coast Messis Night Rain"
                # Storm
                else:
                    $ _t = "Coast Messis Night Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Coast Levisomnus Night"
                # Rain
                elif weather == 2:
                    $ _t = "Coast Levisomnus Night Rain"
                # Storm
                else:
                    $ _t = "Coast Levisomnus Night Storm"

        menu:
            "[_t]"
            # "Examine":
            #     jump .examine
            "Scavenge":
                jump scene_scavenge_begin
            "Explore" if map_point.explore != []:
                jump scene_explore_begin

        # label .examine:
        #     $ _i = renpy.random.randint(0,1)
        #     if _i == 0:
        #         "Sharp jagged rocks stick sharply out of the water, like large teeth covered in barnacles and the remains of ships who dared approach the bay unprepared."
        #     else:
        #         "Large pebbles form a long beach that covers the southern coast, wrapping around the sea to form a large bay. Dried kelp and other aquatic plant matter clings to the rocks. The smell of salt water air and decaying fish mingle in an unpleasant way that makes you wrinkle your nose."
        #
        #     jump scene_coast.south_01

    label .south_02:
        $ outdoor()
        $ map_point = south_coast_02

        $ tide = False
        if calendar[3] > 21 or calendar[3] <= 3 or (calendar[3] > 9 and calendar[3] <= 15):
            $ tide = True
        if calendar[3] > 6 and calendar[3] < 20:
            show bg forest_day with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    if tide:
                        $ _t = "Ocean water pushes up along the shore, keeping a large portion of the beach underwater. You're forced to walk along the higher ledges. Looking across the ocean you see waves that break and crash along the beach. The tide keeps this area under an extra foot or two of cool ocean water. Several rocky outcroppings sit nestled under that water. You can see a small cavern which is partially submerged in the tide."
                    else:
                        $ _t = "A rocky outcrop sits nestled along the coastline. The smooth pebble beach extends up from the water towards a small opening in the rocks. Within the rocks you can see a large opening that extends into a dark cavern. You can hear the sounds of dripping water and voices echoing up from the cavern. You can make out several frayed ropes strung up along stalagmites like markers. The cave seems to be inhabited though you can't see any of it's occupants from outside."
                # Rain
                elif weather == 2:
                    if tide:
                        $ _t = "The beach is covered with dark water that rocks and drags across the pebble beach. The high tide forces you to walk along higher ground. Jagged stone collect at strange angles, forming a high ridge that overlooks the coast. The higher ground does little to protect you from the bitter rain and ocean spray that fills the air. You can hear the distinct whistling of wind as it rushes passed a cavernous opening in the rocks below you."
                    else:
                        $ _t = "A rocky outcrop sits nestled along the coastline. The rocks jut out at odd angles and create a small opening which could provide shelter from the rain. Within the cavern you see small stalagmites lined with ropes and other signs of habitation. Rain gathers in small pools between rocks and stones along the beach. The downpour is biting and cold as it mixes with the salty sea air. The last remnants of dried kelp is quickly washed away in the storm leaving a fresh smell on the air."
                # Storm
                else:
                    if tide:
                        $ _t = "Harsh churning waters coat the low pebble beach. A jagged stone outcropping forms a high ground that you're forced to use. Violent waves crash and lick across the rocky barrier leaving it slick and treacherous. Within the jagged stones cliff you see a small cavernous hole. The cave is only partially submerged by the high tide. Only the crash of thunder cuts through the deafening din of wind and crashing waves."
                    else:
                        $ _t = "The jagged rocky outcrop is drenched and slick with heavy rain. Flashes of lightning illuminate the dangerous stone barrier. The brief strike light a small cavern between the rocks. You can make out long shadows of stalagmites and serpent like ropes within. The heavy rain has gathered in large pools along the smooth pebble beach. The stones shift uneasily under each step revealing hidden pockets of water. Only the crash of thunder cuts through the deafening din of wind and rain."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Coast Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Coast Messis Day Rain"
                # Storm
                else:
                    $ _t = "Coast Messis Day Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Coast Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Coast Levisomnus Day Rain"
                # Storm
                else:
                    $ _t = "Coast Levisomnus Day Storm"
        # Night
        else:
            show bg forest_night with dissolve
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    if tide:
                        $ _t = "Dark waters churn and crash along the coast in the high tide. The low pebble beach has been overtaken by glittering water. Starlight illuminates the ocean below as waves crash and lap up the beach. You're forced to walk along the raised rocky ledge that surround the area. Between the jagged rocks you see a small cavernous opening broken between the rocks. Dim light filters from the partially submerged cave. Moonlight highlights and reflects of the slick stones."
                    else:
                        $ _t = "A jagged rocky barrier stands against the dark night sky. Smooth pebbles line the coast between the stone hill and ocean waters. The moon and stars glint across the swirling ocean, as waves crash and break across the beach. Between the jagged stones you see a small opening. Dim light accents the opening, revealing rows of stalagmites with ropes hanging between them. Soft burbling sounds come from within the recess, echoing strangely off the cave walls."
                # Rain
                elif weather == 2:
                    if tide:
                        $ _t = "High waters twist and cover the low beach. The tide forces you to higher ground where you look across the twisting abyss of the ocean. Rain and wind mix with the ocean spray leaving an icy chill in the air. The whistling of wind and crashing of waves makes it difficult to hear anything else around you. The overcast sky leave little light, turning the surrounding rocks into dark ominous silhouettes. A dull light peeks through several rocks revealing a cave, half submerged by the tide below."
                    else:
                        $ _t = "Rain pours down across the pebble beach in heavy sheets. Wind whistles violently and large waves crash and lap dangerously towards the shore. The sea air is thick and cold in dark overcast night. A jagged wall of stones creates a barrier between the low beach and the rest of the island. Between several stones you see a strangely shaped opening. Dull light pours out of the cave, cutting through the darkness. A few old lanterns glow dimly just beyond the cavern threshold. You can see several stalagmites with ropes strung between them."
                # Storm
                else:
                    if tide:
                        $ _t = "Violent waves crash and lap at the rocky barrier that lines the low pebble beach. High tide leaves the coast flooded, forcing you to higher ground or risk being swept away by the icy water. Looking down across the dark landscape you see a dull light below you. The dim light floods out of a narrow cave in the rocks. Lightning flashes above you, granting brief, flickering light to the surroundings. Thunder rumbles and echoes, cutting through the din of rain and whistling wind."
                    else:
                        $ _t = "Waves crash violently against the low pebble beach. The thick clouds swirling overhead blot out any light, leaving the coast desolate dark. A rocky barrier rises up between the mainland and beach. Between several of the jagged rocks is a narrow opening. Dim light filters out, cutting through the darkness to reveal a cavern. Twisted stalagmites wrapped in rope lie within. Lightning flashes and thunder rumbles throughout the area. The sound of crashing water and whistling wind is deafening."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Coast Messis Night"
                # Rain
                elif weather == 2:
                    $ _t = "Coast Messis Night Rain"
                # Storm
                else:
                    $ _t = "Coast Messis Night Storm"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Coast Levisomnus Night"
                # Rain
                elif weather == 2:
                    $ _t = "Coast Levisomnus Night Rain"
                # Storm
                else:
                    $ _t = "Coast Levisomnus Night Storm"

        menu:
            "[_t]"
            "Scavenge":
                jump scene_scavenge_begin
            "Explore" if map_point.explore != []:
                jump scene_explore_begin
