# Last Drop Encounters

label scene_last_drop:
    label .exterior:
        $ outdoor()
        $ map_point = the_last_drop

        if 8 < calendar[3] < 20:
            show bg forest_day with dissolve
        else:
            show bg forest_night with dissolve

        $ _t = ""
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "The exterior of the Last Drop is a strange sight. A stone base with several glasses windows support a sagging wooden second floor. Several crudely constructed wooden shutters have been added to the window frames. They sit open allowing a full view of the quaint tavern interior. Moss cling to the building and creep up it's sides. Several bushes grow under the windows. It's impossible to tell if they are there for decoration or because their roots have grown to deep to be removed."
                # Rain
                elif weather == 2:
                    $ _t = "It's dark and cold outside. Rain beats downs furiously around you, the clearing offering no protection against the storm. The sagging wood of the second floor creaks as water rushes off the thatch rooftop in buckets. Wooden window shutters are closed and locked against the rain. Small fragments of candlelight flicker between cracks in the shutters, a small sign of the respite that lies inside. Wind rushes through the clearing sending an icy chill through you in the unforgiving space."
                # Storm
                else:
                    $ _t = "The Last Drop stands against the storm as a small sign of respite against nature's wrath. The building creaks and groans in protest as the icy rain and wind assault it from all sides. The powerful crack of thunder is the only sound the penetrates the drumming of the rain and howling of the wind. The window shutters rattle and shake violently in the wind. Each shake parting them enough to allow a sliver of fire light to pierce the darkness outside."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Last Drop Exterior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Last Drop Exterior. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Last Drop Exterior. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Last Drop Exterior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Last Drop Exterior. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Last Drop Exterior. Day"
        # Night
        else:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "The tall two storey exterior of the Last Drop sag in the darkness. It's thatch roof hangs limply across it's top while the stone foundation quiver to keep the structure aloft. Window shutters sit partially ajar allowing the firelight inside to spill out, cutting through the darkness outside like a small beacon. The fresh smell of alcohol and cooked meats creep out with the light. You can hear the bustle of people inside as they move about the tavern."
                # Rain
                elif weather == 2:
                    $ _t = "Dark clouds hang overhead obscuring the moon and stars. Heavy rain pours down in sheets across the clearing sending a damp chill through the area. The creaking structure of the Last Drop stand silhouetted in the darkness. Small beams of firelight flicker from between the rattling wood shutters. The wind cuts through the clearing, battering the ancient structure which stands defiantly against the onslaught. Any sound from the tavern is obscured by the harsh whistling of the wind and the ferocious drumming of rain against the rooftop."
                # Storm
                else:
                    $ _t = "The sky is pitch black with storm clouds, choking out the moonlight. Flashes of lightning illuminate the area in harsh bursts revealing the haggard tavern. The Last Drop trembles under the ferocity of the storm, shutters rattling loudly against their hinges. Small beams of light peak out from behind the shutters as they tremble. They act as a small beacon of respite and security against the wrathful storm that brews overhead. The surrounding clearing provides no cover from the icy winds and rain which cut like a knives."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Last Drop Exterior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Last Drop Exterior. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Last Drop Exterior. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Last Drop Exterior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Last Drop Exterior. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Last Drop Exterior. Night"

        # Dorzakk Check
        # Dorzakk is healed and at the Last Drop during the day
        if relationship_dorzakk['location'] == "last_drop_exterior":
            "[_t]"
            if calendar[3] % 2 == 0:
                $ _t = "A short distance away you see Dorzakk, the orc prisoner exercising. Sweat pours down his back as he performs single handed push-ups. He pants heavily with each motion, working with a steady precision. He seems entirely in his element, strangely calm in spite of everything that has been going on. It's a strangely tranquil scene. After several repetitions he switches arms maintaining an even routine."
            else:
                $ _t = "You can hear the sounds of deep breathing. A steady and low groan coming from the side of the Last Drop. There you see Dorzakk sitting on the ground. Legs crossed with unexpected flexibility given his size. His eyes are closed tightly as he breaths. His face contorts periodically, followed by the roll of a shoulder as he adjusts his collar. It's clear his attempts to meditate aren't succeeding. So there likely won't be any issue in interrupting."

        menu:
            "[_t]"

            "Enter":
                jump .tavern
            "Search the back":
                jump .beehives
            "Talk to Dorzakk" if relationship_dorzakk['location'] == "last_drop_exterior":
                jump talk_dorzakk.approach
            "Scavenge":
                jump scene_scavenge_begin
            "Explore":
                jump scene_explore_begin

    label .tavern:
        $ indoor()
        $ map_point = the_last_drop

        if 8 < calendar[3] < 16:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "The tavern interior is comforting and cozy in the summer months. The window covers are open wide allowing sunlight to stream in freely. Light dances across the man mismatched tables, chairs and broken bits of pottery. Spring flowers add a splash of color to the otherwise brown and gray interior. The smell of fresh flowers, honey mead and dried meats fill the space. A large fireplace sits as an unlit center piece for the room."
                    if relationship_squeeb['location'] == 'last_drop_interior':
                        "Squeeb, the short wererat bartender obsessively cleans dishes, tankards and tabletops. Carefully hoping between each job like a carefully mastered dance."
                    if relationship_fenna['location'] == 'last_drop_interior':
                        "The broad shouldered minotauress, Fenna, sits at one of the tables. Her face is grim and she seems frustrated by the confines of the tavern which close in on her unpleasantly. She has a large tankard in front of her which she drinks from casually, only taking a few small sips at a time. She has a strange forced grace to the way she sits and drinks."
                # Rain
                elif weather == 2:
                    "The tavern interior feels damp and cool from the rain. The windows have been closed and locked with wooden shutters to prevent the rain from streaming into the building. The place is dimly lit by candles which gives it a cozy feel. You can hear the rapid tapping of rain against the roof and the splash of water running down the building in small rivers."
                    "The spring rain chills the tavern, which has prompted the early use of a small fire in the hearth. Small red embers illuminate the dining area. The occasional pop and crackle of burning wood pierces through the din of the rain outside."
                    if relationship_squeeb['location'] == 'last_drop_interior':
                        "Squeeb hurriedly moves about the tavern, refilling drinks, replacing candles and firewood before rushing back to cook a meal or two. He dances between each job rapidly and with an intense precision and drive that is inspiring."
                    if relationship_fenna['location'] == 'last_drop_interior':
                        "Fenna's large form moves through the tavern awkwardly. Her shoulders hunched to avoid her small horns from scraping the sagging ceiling. She latches shutters closed, which are quickly blown open again by the storm beyond. Her face contorts ever so slightly though her expression remains as unreadable as ever."
                # Storm
                else:
                    "The tavern interior is locked tight against the loud storm that brews outside. The window shutters rattle against the locks that hold them in place. The impossible din of rain pummeling the ancient building fills the interior, only broken by the loud crack of thunder. Light peaks through the shutters with each flash of lightning, causing ominous shadows to dance across the walls like ghosts."
                    "A small fire flickers desperately in the hearth as it fights against the storm. The fire illuminates the tavern interior with the aid of a few carefully placed candles. The warm firelight is a small comfort against the storm that rages outside."
                    if relationship_squeeb['location'] == 'last_drop_interior':
                        "Squeeb hurriedly moves about the tavern, refilling drinks, replacing candles and firewood before rushing back to cook a meal or two. He dances between each job rapidly and with an intense precision and drive that is inspiring."
                    if relationship_fenna['location'] == 'last_drop_interior':
                        "Fenna's large form moves through the tavern awkwardly. Her shoulders hunched to avoid her small horns from scraping the sagging ceiling. She latches shutters closed, which are quickly blown open again by the storm beyond. Her face contorts ever so slightly though her expression remains as unreadable as ever."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Last Drop Interior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Last Drop Interior. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Last Drop Interior. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Last Drop Interior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Last Drop Interior. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Last Drop Interior. Day"
        else:
            # Seminandum
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "The tavern interior is dimly lit by candles and a low fire that crackles in the hearth. The windows are partially closed allowing a comfortable breeze to pass through. The light flickers in the breeze. Small flowers sit in broken pots that dot the mismatched tables. The tavern is warm and comforting in spite of it's cobbled together interior. The smell of freshly cooked meats wafts in from the kitchen. The scent mingles with the sharp tangy smell of alcohol and dried berries."
                    if relationship_squeeb['location'] == 'last_drop_interior':
                        "Squeeb, the short wererat bartender meticulously dances between the bar and kitchen. Fetching meals and drink for his patrons while still maintain time to mingle. He's a sight to behold, his commitment to this place is inspiring."
                # Rain
                elif weather == 2:
                    "The tavern is cold and damp as the heavy rain beats against the building outside. The heavy splashing of water against the roof echoes throughout the interior. The window shutters tremble against the wind adding a rattle sounds to the din of noise the storm is causing. Soft candle light flicker weakly against the encroaching darkness, while the small embers of a lingering fire add a small bit of respite to the chill of the storm."
                    if relationship_squeeb['location'] == 'last_drop_interior':
                        "Squeeb hurriedly rushes between his many jobs, tending to the tables, cooking meals, and serving drinks. He does so with a shocking precision and speed like an expertly honed craft."
                    if relationship_fenna['location'] == 'last_drop_interior':
                        "Fenna has made one of her rare appearances, emptying clay buckets of water which have been used to catch any leaks. She moves about cautiously, tossing full buckets and replacing them with empty ones."
                # Storm
                else:
                    "The interior of the last drop is filled with a cacophony of noises. The torrential downpour outside beats against the walls of the tavern like a thousand drums. Lightning flashes and thunder cracks loudly. The entire building creaks and groans against the onslaught of the storm. The candle light that fights against the darkness flickers and sputters against the heavy draft. A fire burns strongly in the fireplace, burning brightly against the biting cold outside."
                    if relationship_squeeb['location'] == 'last_drop_interior' and if relationship_fenna['location'] == 'last_drop_interior':
                        "The little tavern has made itself a small site of respite against the encroaching storm, and it's owners work hard to maintain it. Fenna repairs shutters and empties large buckets of water that has leaked through the building's many cracks. Squeeb hastily dances between the bar and kitchen. Bringing food and drink to the cowering patrons. Their commitment is an inspiring sight in the face of such a horrible storm."
                    else:
                        if relationship_squeeb['location'] == 'last_drop_interior':
                            "Squeeb hurriedly rushes between his many jobs, tending to the tables, cooking meals, and serving drinks. He does so with a shocking precision and speed like an expertly honed craft."
                        if relationship_fenna['location'] == 'last_drop_interior':
                            "Fenna's large form moves through the tavern awkwardly. Her shoulders hunched to avoid her small horns from scraping the sagging ceiling. She latches shutters closed, which are quickly blown open again by the storm beyond. Her face contorts ever so slightly though her expression remains as unreadable as ever."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Last Drop Interior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Last Drop Interior. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Last Drop Interior. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Last Drop Interior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Last Drop Interior. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Last Drop Interior. Night"

        # ADD FENNA INSIDE CHECK

        # Check for Dorzakk
        if relationship_dorzakk['location'] == "last_drop_interior":
            # Met Dorzakk
            if relationship_dorzakk['met_dorzakk']:
                # DAY
                if calendar[3] < 18:
                    # INJURED
                    if relationship_dorzakk['injured']:
                        "Dorzakk sits at his usual table, hunched over slightly due to his height. Long hair hanging in messy tendrils down the side of his face and back. His arms remain heavily bandaged and injured. One hanging limply in a sling. His better hand reaches up and scratches at his rough beard for a moment before tugging at the collar around his neck obsessively"
                    # HEALED
                    # Only during storms
                    elif weather != 1:
                        "You notice Dorzakk sitting in the corner of the tavern interior. He leans back on a rickety chair which groans in protest. The orc looks at the shuttered windows wistfully and unusually calm expression on his face. He reminds you of a portrait of a noble man. It's a strange and unusual contrast to his normal demeanor."
                # NIGHT
                else:
                    # INJURED
                    if relationship_dorzakk['injured']:
                        "Dorzakk leans back in a chair which groans and creaks in protest. His long hair trails down his face and back in twisted waves. He holds a tankard in a heavily bandaged arm, taking long swigs periodically. His other arm rests limply against his chest in a tattered sling. A frustrated boredom is clear on his face as he drinks."
                    # HEALED
                    else:
                        # Clear
                        if weather == 1:
                            "Dorzakk, the orc sits hunched over one of the tables. A tankard of mead is quickly disappearing in one hand. He seems anxious. Frequently glancing around the room before taking another long drink from his tankard. His long hair has formed messy curls that twist each time he fidgets. Periodically Dorzakk reaches towards his neck, tugging at the heavy collar, wincing in irritation."
                        else:
                            "You see Dorzakk sitting in the corner of the tavern next to the crackling fire. He leans back on a chair lazily an unusually calm, wistful expression across his face. His long hair trails down the sides of his face in messy curls. He has a tankard of mead which remains untouched at his side, an odd an uncharacteristic detail for the orc."
            # Haven't Met Dorzakk
            else:
                # Day
                if calendar[3] < 18:
                    "A large orc sits alone, hunched over one of the tables. His long wild hair hangs in thick waves down his back and in front of his face. One of his arms hangs limply in a crude sling. Heavy bandages wrap around both his arms. He has a large tankard of mead which he grips shakily, frequently taking heavy swigs. You recognize him as the orc that had been trying to remove his collar on the ship."
                else:
                    "A large olive skinned orc sits in sullen contemplation. Long dark hair hanging in tangled waves down his back. His arms are both heavily bandaged, while one sits limply in a crudely crafted sling. In spite of the heavy injuries he flexes the fingers on his less injured arm. Making shaky fists, before relaxing his fingers again. He reaches up periodically twisting and tugging at the large collar around his neck. An action that you recognize from the ship. You suspect this is the same orc you'd seen when you arrived, though he seems to be in a far worse state."


        menu:
            "Talk to Squeeb" if relationship_squeeb['location'] == 'last_drop_interior':
                jump talk_squeeb
            "Talk to the orc" if relationship_dorzakk['location'] == 'last_drop_interior' and not relationship_dorzakk['met_dorzakk']:
                jump scene_last_drop.meet_dorzakk
            "Talk to Dorzakk" if relationship_dorzakk['location'] == 'last_drop_interior' and relationship_dorzakk['met_dorzakk']:
                jump talk_dorzakk.approach
            "Talk to Fenna" if relationship_fenna['location'] == 'last_drop_interior':
                jump talk_fenna
            "Go to your room":
                "Slipping quietly up the stairs you head towards the guest rooms. The stairs creak slightly as you ascend before pushing your way into the small room."
                jump scene_last_drop.safe_room
            "Leave":
                jump scene_last_drop.exterior

    label .safe_room_defeat:
        scene bg basic with fade
        $ indoor()
        $ map_point = the_last_drop
        menu:
            "You were defeated. That sucks"
            "Rest":
                $ last_checkpoint = "scene_last_drop.safe_room"
                jump scene_last_drop.safe_room
            "Leave":
                jump scene_last_drop.tavern

    label .safe_room:
        show bg basic with dissolve
        $ indoor()
        $ map_point = the_last_drop

        if pc.hp <= 0:
            $ pc.hp = 0
            $ pc.addHP(pc.max_hp/8)
            $ pc.libido = 0
            $ add_time(4,0)
            "You wake up in your room feeling groggy and beaten up. Looks like you had a rough go of it."

        menu:
            "This is the safe room. You can rest here."
            "Rest":
                $ last_checkpoint = "scene_last_drop.safe_room"
                $ add_time(8,0)
                $ pc.hp = pc.max_hp
                $ pc.libido = 0
                jump scene_last_drop.safe_room
            "Level up":
                $ last_checkpoint = "scene_last_drop.safe_room"
                $ add_time(1,0)
                jump scene_vacdes.talk_vacdes
            "Rest and Level up":
                $ last_checkpoint = "scene_last_drop.safe_room"
                $ add_time(8,0)
                $ pc.hp = pc.max_hp
                $ pc.libido = 0
                jump scene_vacdes.talk_vacdes
            "Arrange Skills":
                hide screen clock
                hide screen menubar
                $ selected_item = None
                $ selected_skill = None

                call screen skill_screen() with dissolve
            "Access Storage":
                $ selected_item = None
                hide screen menubar
                hide screen clock
                call screen storage_screen with dissolve
            "Save":
                hide screen menubar
                hide screen clock
                call screen save
                # jump scene_last_drop.safe_room
            "Leave":
                jump scene_last_drop.tavern

        jump scene_last_drop.safe_room

    # label .arrange_skills:
    #     hide screen clock
    #     hide screen menubar
    #     $ selected_item = None
    #     $ selected_skill = None
    #
    #     call screen skill_screen() with dissolve
    #
    #     if _return:
    #         jump scene_last_drop.safe_room
    #     else:
    #         jump scene_last_drop.safe_room

    label .meet_squeeb_first_death_01:
        scene bg basic with fade
        $ indoor()

        $ map_point = the_last_drop
        $ last_checkpoint = "scene_last_drop.safe_room"
        $ last_scene = None
        $ pc.hp = pc.max_hp

        "Your eyelids feel heavy and your chest stings as sensations return to you. Reaching to your side you feel a straw mattress under you. You feel a warm but scratchy blanket on top of you. Shifting slightly you force open your eyes to find yourself in a fairly modest, somewhat rundown room."
        "The room is mostly bare of furnishings, just a simple bed that you find yourself laying on. A small worn chair sits next to it as a makeshift bedside table. A cracked vase sits on the chair with a few blue flowers adding a splash of color to the otherwise brown and grey room. Tattered curtains do their best to block the morning light from peaking through."
        "You sit up from the bed and find a fresh set of bandages wrapped around your arm and forehead. The smell of herbs and poultices is strong. Pulling the bandages away slightly you find your injuries mostly healed, leaving only some slight bruising. You remove the bandages completely before gathering your clothes."
        "You step towards the door giving the dingy door handle a pull. It takes some extra force to open, the hinges are old and creak loudly. You try your best to remain somewhat quiet but the old building groans with each step. The floorboards creaking under your weight in protest."
        "The door opens up to a narrow hallway with several doors. The hall ends in a staircase that curves gently downwards. You shuffle towards it stepping gingerly down the stairs, which in spite of your effort to remain quiet still give a loud unpleasant creak every few steps. The stairway leads to a small hall which abruptly opens up to a small tavern."
        "The tavern has a modest bar that faces away from the staircase and looks out over an open room. Several small tables and mismatched chairs fill the space with a large currently empty fireplace along the far wall. Several windows look out over the surrounding forest, though they lack glass which allows a strong breeze to rush through the building. A few beams sag under the buildings weight which makes the room feel cave like."
        "Similar to the bedroom upstairs, several broken vases and pots sit on tables or under windows filled with brightly colored flowers. In spite of the age and damages the place is clearly being maintained to the best of the owner's ability. It's an oddly comforting space as the morning sun peaks through the open windows."
        "A figure catches your eyes behind the bar. A short humanoid man with the face of a rat. He's currently washing down the bar top with a damp rag. His sharp chipped teeth curl into a small smile as your eyes meet. He puts the rag down with a damp splat and extends a hand in greeting."

        show squeeb collared_idle with dissolve
        "???" "\"Good to see you awake. Had us worried there for a bit, but it seems you heal quickly. You must be hungry, let me get you something to eat. Have a seat.\" He gestures to the bar stools before heading to a door behind the bar that you imagine leads to a kitchen."

        hide squeeb with dissolve
        "Your stomach growls greedily at the mention of food, pushing away any inclination to leave. You step up to the bar taking a seat on one of the roughly constructed stools. The thin leather lining does little to for your comfort, but succeeds in function. You wait for several minutes alone. Silence filling the room, broken only occasionally by a chirp of a bird, or the creak of the stool beneath you."

        show squeeb collared_idle with dissolve
        "After a short wait the back door opens, allowing you a brief glimpse at the kitchen beyond. Your vision is quickly blocked by the rat man who pushes his way back into the room, a small clay plate in hand. He sets the plate down on the bar in front of you revealing it's contents."
        "Shredded potatoes have been fried into small hash brown patties, while two lightly scrambles eggs steam next to it. A slice of toasted bread has been smeared with some kind of red jam. The food smells incredible, though that could be your hunger talking."
        "The wererat hands you a wooden fork from under the bar. It barely reaches your hand before you begin to devour the food without restraint. The eggs are light and flavorful, while have a pleasant saltiness to them. The lightly toasted bread crumbles in your mouth, the sweet flavor of the jam rounds out the meal. You've already finished half the meal before you notice a glass of water has been placed in front of you."
        "The water is warm, it was likely boiled to keep it clean. A few dried berries have been added giving it a slightly tangy flavor. The meal only lasts you a few moments before it's been completely consumed down to the last crumb. Your stomach gurgles slightly as you feel truly full for the first time in weeks. You had mostly survived on bread and water during your time on the ship, which hardly succeeded in fulfilling your appetite."

        "???" "\"Well seems I was right about you being hungry.\" he laughs. \"I suppose I can start with the pleasantries now. You can call me Squeeb. This is my tavern. I take in any of the new folks that need to get back on their feet. Folks like you I imagine based on your dress.\""
        if pc.equipment['Legs'] != None:
            "You glance down at yourself suddenly feeling a little self conscious. The holes and tatters of your attire don't inspire any confidence however and you're forced to resign yourself to his comments."
        else:
            "You glance down at your clothing or lack of suddenly a little embarrassed."

        squeeb "\"I don't mean you no offense. It's how most folk start out around here, no shame in it. There's a town a little ways west of here, there should be a tailor that can get you set up if you're inclined. Not that many folk will judge you for walking around in rags or nothing at all for that matter.\" he says, casually refilling your glass with water from a nearby pitcher."
        # 0 = Falsely Accused, 1 = Resistance Fighter, 2 = Thief
        menu:
            squeeb "\"So what's your name and what brings you here?\" he asks taking your plate which he begins casually wiping clean with a rag."

            "Answer Honestly":
                jump .an_truth
            "Lie":
                jump .an_lie
            "Answer simply ({b}tough{/b})" if pc_trait['Tough']:
                jump .an_tough
            "Answer flirty ({b}romantic{/b})" if pc_trait['Romantic']:
                jump .an_romantic
            "Answer confidently ({b}confident{/b})" if pc_trait['Confident']:
                jump .an_confident
            "Answer witty ({b}witty{/b})" if pc_trait['Witty']:
                jump .an_witty

        label .an_truth:
            if pc_crime == 0:
                player "\"You can call me [pc_name]. It's not an exciting story, I was simply in the wrong place at the wrong time. I was accused of murder and that was enough for the Legion. Within moments of the accusation I was put in chains. A sham of a trial the day after and now I'm here.\""
                squeeb "\"You have my condolences, you'll find many in similar situations here. I hope you can find some peace here in spite of the events that lead you here.\" He says sympathetically. \"You're welcome to stay here for as long and whenever you wish.\""
            elif pc_crime == 1:
                player "\"My name is [pc_name], I was a part of a resistance movement after the legion invaded. During one of the struggles I was captured and brought here as an example.\""
                squeeb "\"A resistance fighter, that's a brave career choice. You have my respect [pc_name].\" He says a small look of surprise on his face. \"I could hardly turn away someone so noble. Please stay here whenever you wish and for as long as you need. The door is always open to you.\""
            elif pc_crime == 2:
                player "\"I'm [pc_name]. I got caught picking the pocket of a local lord. They didn't take to kindly to it and once the Legion caught wind I was put on the next ship to Alcatraz.\""
                squeeb "\"A thief, hm? I appreciate the honesty. Few people here are in a position to judge you for such things. Myself least of all.\" He says with a sad nostalgia in his eyes. \"I certainly can't turn down someone so willing to expose their secrets. Feel free to stay here whenever you wish.\""
            jump scene_last_drop.meet_squeeb_first_death_02

        label .an_lie:
            player "\"I'm [pc_name], I'm nothing special really. The Legion arrested me for whatever crimes they felt I committed and now I'm here. I'm actually surprised we're just allowed to roam the island and that they allow you to run this... business?\""
            squeeb "\"The Legion doesn't care about much that goes on beyond their walls. So long as you don't attempt to enter or get too close to their forts we're free to act as we wish. As long as I don't bother the Legion or their guards I'm allowed to conduct my business.\""
            squeeb "\"As a fellow prisoner you're welcome to stay here whenever you wish. I'm simply running this place to help people get on their feet again. I simply ask you be honest with me in the future.\" He says somewhat skeptically, though he doesn't press the issue any further."
            jump scene_last_drop.meet_squeeb_first_death_02

        label .an_tough:
            player "\"I'm [pc_name], I was brought here as one of the Legion's most recent displays of power.\" You explain gruffly. This earns you a solemn nod from Squeeb. \"I won't be taking this laying down thanks to you.\""
            squeeb "\"You have my apologies. It seems the Legion continues to push it's influence wherever it can.\" He says while rinsing the rag in a small basin behind the counter. \"You're among friends here, you'll be hard pressed to find anyone that won't sympathize. The Last Drop is here to help get people back on their feet, so please stay as long as you like.\""
            jump scene_last_drop.meet_squeeb_first_death_02

        label .an_romantic:
            player "\"You may call me [pc_name], it's my pleasure to meet you.\" You say with a flourish and a bow. \"I was unfortunately imprisoned by the Legion and brought here as a part of their latest displays of power. It is good fortune I met such kindness here.\" You say dramatically."
            squeeb "\"You have my apologies. It seems the Legion continues to push it's influence wherever it can.\" He says while rinsing the rag in a small basin behind the counter. \"You're among friends here, you'll be hard pressed to find anyone that won't sympathize. The Last Drop is here to help get people back on their feet, so please stay as long as you like.\""
            jump scene_last_drop.meet_squeeb_first_death_02

        label .an_confident:
            player "\"I go by [pc_name]. I was shipped out here as a part of the Legion's recent displays of power. But fret not, thanks to your generosity I won't be taking this sitting down.\" You say boastfully, your chest puffed out."
            squeeb "\"That's quite the relief to hear. Many who end up here quickly feel overwhelmed and give up.\" He says with a smile as he rinses a rag behind the counter. \"You're among friends here, should you need a place to rest or get back on your feet you're always welcome. The Last Drop is not here to be the last stop.\" He says with a wink."
            jump scene_last_drop.meet_squeeb_first_death_02

        label .an_witty:
            player "\"If I remember right, the guards on the ship called me 'mud', but I came here for the sightseeing.\" You say dryly with a wry smile."
            squeeb "He laughs heartily \"Well it's a pleasure to meet you Mud. We have excellent tourism but you'll find our economy is terrible.\""
            player "\"That's such a shame about the economy, and here I am without my coin purse. I do hope I can start a tab for the food. My friends call me [pc_name].\" You say extending a hand."
            squeeb "He shakes your hand with a smile. \"You're in luck [pc_name], friends stay here for free. This is the Last Drop but it's not the last stop. We work here to help newcomers get back on their feet. Stay as long as you need.\""
            jump scene_last_drop.meet_squeeb_first_death_02

    label .meet_squeeb_first_death_02:
        $ indoor()
        $ map_point = the_last_drop

        player "\"Thanks, uh. Earlier, you said \'you had {i}us{/i} worried\', but I haven't seen anyone else.\""
        squeeb "\"Fenna and Lyra. Fenna's out back, she was the one that found you and got you back here in one piece. Fenna's a good lass, quiet but we go way back. If you want to say hi she's usually out back during the day. Sometimes comes by the tavern at night too.\""
        show squeeb at midleft with move
        "As if on queue the creak of a door and jingle of a small metal bell signal someone entering the establishment. A large shadow fills the door as a massive woman enters. A cow like head, with small horns that poke out of her brow. She has long stringy hair that obscures her eyes slightly. She squints at you with an unreadable expression."

        show fenna collared_idle at midright with moveinright

        squeeb "\"Wonderful timing as always. Fenna this is [pc_name], it seems they've made a full recovery.\""
        $ _t = ""
        if pc_appearance["Height"] < 60:
            $ _t = "She looms over you, menacingly. A great and powerful shadow that blots out everything else from your vision. Her incredible size and presence make you feel like an ant as you stare up at her immense form."
        elif pc_appearance["Height"] < 72:
            $ _t = "She towers over you like a giant. Her broad form makes you feel small my comparison as she steps towards you. The light is blotted out by her presence and you can't help but marvel at her form. She locks eyes with you as she takes notice of your leering. You glance away quickly, slightly embarrassed."
        else:
            $ _t = "She steps towards you, one of the rare few who can match your own size. She stares at you, your eyes locked in a silent battle for a few moment. Her presence is intense and you can't help but swallow hard as she looms next to you."

        "The minotaur grunts what sounded like 'good' but was said so halfheartedly that you can't tell for sure. She gives you a small nod but her expression is nearly unreadable."
        "She steps into the tavern, hunching over low to fit through the doorway before heading in your direction. [_t]"

        "With a large hand she reaches behind the bar slowly. Each move she makes is slow, powerful and deliberate. As she pulls her hand back you find her holding a large old axe. She holds it close to the blade and sets it at her side. She locks eyes with you again, giving a nod. Her expression as inscrutable as ever, before giving Squeeb a similar nod."
        "The floorboards creak and groan as she turns and walks towards the door. Hunching low she squeezes through the door and returns to the outside world. A breeze rushes through the tavern interior reminding you to breathe. The exchange couldn't have lasted more then 30 seconds but it felt like 30 minutes."

        hide fenna with moveoutright
        show squeeb at center with move

        squeeb "\"Not one for conversation is she?\" he says with a wheezy laugh. \"She's usually around back during the day. She's a quiet sort but I'm sure she won't mind the company should you feel inclined.\""
        squeeb "\"Right, where were we?\" Squeeb thinks for a few moments, scratching at the underside of his chin with a long clawed finger. His eyes flash as he remembers his place"
        squeeb "\"Right! Lyra as well. I'd never met her before, I think she came on the same ship as you. Lovely lass, wererat like myself. She arrived a few hours before dark and spent the night. When Fenna brought you in she helped treat your wounds.\""
        squeeb "\"I can't say I know much about her beyond that but she left earlier this morning. I imagine she's heading to Vergesseneburg. If you want to thank her I'd start looking there.\" The wererat gives you a kind, if crooked, smile."
        squeeb "\"I'd suggest you head out and familiarize yourself with the area. I left you a map with your things so that should help you find your ways back here if you ever get lost. If you need any clothing or supplies you'll want to head West towards Vergesseneburg. It's a little ways off but you should be able to find it.\""
        squeeb "\"Gold doesn't have much value here but you can barter with almost anything else of use. If you find any strange items and can't find a use you can almost certainly trade them to someone who can.\""
        squeeb "\"If you need anything else don't hesitate to ask.\""
        "With that Squeeb returns to his work, he gathers up your dishes and takes them away to be cleaned. Taking the queue you sit up from the stool. You wince as a small shock of discomfort shoots through your butt. These seats have clearly seen better days."

        $ accessMap = False

        hide squeeb collared_idle with dissolve
        jump scene_last_drop.tavern

    label .beehives:
        $ outdoor()
        $ map_point = the_last_drop

        if 8 < calendar[3] < 20:
            show bg forest_day with dissolve
        else:
            show bg forest_night with dissolve

        $ _t = ""
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "A bright garden lined by a rough stick fence sits behind the tavern. Bright flowers bloom on small bushes while long vines creep up small wooden posts. You recognize several vegetable plants in the early stages of growth. Nestled along the edge of the forest line sit a dozen large apiary boxes. The harsh sound of buzzing bees reverberates through the air around them. The bees flit between the area pollinating the numerous flowers in the garden."
                    $ _t = "A small wooden structure has been set up to support a small rough. The structure lacks walls seems to be used to store tools, firewood and other supplies. A simple work bench has been set up next to a log for chopping wood."
                # Rain
                elif weather == 2:
                    $ _t = "A heavy rain pours down across the garden behind the Last Drop. The plants sag low under the weight of the water that batters the ground like a thousand drums. A small wooden overhang protects several bundles of firewood from the rain. A dozen apiaries sit silently along the forest's edge, the inhabitants not daring leave the nest in this weather."
                # Storm
                else:
                    $ _t = "The heavy downpour beat the garden relentlessly. The plants bow under the assault of the wind and rain. Dark clouds brew overhead, crackling with thunder and lightning which illuminate the area briefly. The small firewood shelter does little to protect the wooden piles beneath it. Wind blows the rain into every nook and cranny leaving everything drenched. The few apiaries tremble at the forest edge, their inhabitants silently waiting out the storm."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Last Drop Garden. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Last Drop Garden. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Last Drop Garden. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Last Drop Garden. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Last Drop Garden. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Last Drop Garden. Day"
        # Night
        else:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Shadows hang across the back garden of the Last Drop. The flowers that look bright during the day appear drab and colorless in the shadows of the night. Fence posts look like more like grave markers in the gloom. It's a strangely sad and lonesome place at night. A dozen apiaries sit silently at the forest line. Not even the bees buzz at this hour, leaving the place eerily quiet."
                # Rain
                elif weather == 2:
                    $ _t = "The garden is a gloomy place at night, even more so in the rain. Water pours down in sheets forcing the flowers and plants to bow before it's weight. The strange shapes of the fence and apiaries appear more like graves in the gloomy darkness. The din of icy rain striking the ground masks any other sounds, leaving only a monotonous drumming."
                # Storm
                else:
                    $ _t = "An icy chill from the storm cuts through the garden like a hundred knives. The apiaries at the forest edge and the numerous tools that lean against the firewood shack cast bizarre unsettling shadows in the dark. The rain doesn't help, only blurring and distorting these shapes further, making them appear as large beasts. Brief flashes of lightning expose these shapes for what they truly are, before shrouding them in darkness once again."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Last Drop Garden. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Last Drop Garden. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Last Drop Garden. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Last Drop Garden. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Last Drop Garden. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Last Drop Garden. Night"

        menu:
            "[_t]"
            "Talk to Fenna" if relationship_fenna['location'] == "last_drop_beehives":
                jump talk_fenna
            "Go to the Last Drop":
                jump scene_last_drop.exterior

    label .meet_dorzakk:
        show dorzakk collared_idle with dissolve

        "You decide to approach the large orcish man. Stepping up to the table you reach down to a nearby chair pulling it over. The scratching of the chair legs on the floor catches the orc's attention. He looks up to you with a look of surprise, as if he was expecting someone else. \"May I sit?\" You ask politely."
        "Orc" "\"Go ahead.\" He says, his voice is gravelly and deep. \"Ya were on that damned ship too, weren't ya?\""
        player "I was. I'm [pc_name]."
        "Orc" "\"Dorzakk.\" He says plainly, reaching out his meaty good hand. Leaning across the table you take it. He shakes your hand firmly but gently, before pulling back quickly. \"What can I do for ya?\""
        player "\"Just want to introduce myself. Since we're all cellmates so to speak.\""
        dorzakk "\"If that's all then.\""

        if  pc.equipment['Acc'].id_key != item_magic_collar.id_key and pc.equipment['Acc'].id_key != item_broken_collar.id_key and relationship_dorzakk['no_collar'] == False:
            $ relationship_dorzakk['no_collar'] = True

        $ relationship_dorzakk['met_dorzakk'] = True
        hide dorzakk collared_idle with dissolve
        jump scene_last_drop.tavern

label talk_squeeb:
    show bg basic with dissolve
    $ indoor()
    show squeeb collared_idle with dissolve

    if  pc.equipment['Acc'].id_key != item_magic_collar.id_key and pc.equipment['Acc'].id_key != item_broken_collar.id_key and relationship_squeeb['no_collar'] == False:
        squeeb "\"Your collar is gone.\" Squeeb notices taking a close look at you. \"I didn't think you were such a skilled spellcaster.\" He remarks with a mix of praise and surprise."
        if hero >= villain:
            player "\"I didn't remove it. I met a writer who took it off for me. I wish I knew how he did it but they told me it was possible to remove them without magic.\""
        else:
            player "\"I am quite powerful.\" You say boastfully. \"The Legion will not chain me any longer.\""

        squeeb "\"It may be presumptuous of me to ask but would you be able to remove my own?\" Squeeb says with some hesitance, as if he's afraid of the answer."
        player "\"I'll do what I can, though it's a bit more complicated then just a flick of the wrist.\""
        squeeb "\"Thank you my friend. If there's anything I need to do just ask.\" Squeeb says with a bow."
        $ relationship_squeeb['no_collar'] = True
    else:
        "You approach the wererat bartender who gives you a crooked toothy smile. His red eyes are warm but unsettling as they stare at you."

    $ que = "Do you have any jobs I can do?"
    # Sort out quest dialogue
    if squeeb_quest['quest'] == 0:
        if squeeb_quest['quest_phase'] == 1:
            $ que = "What did you need me to do again?"
        elif squeeb_quest['quest_phase'] == 2:
            $ que = "I have the supplies for you."
    menu .conversation:
        squeeb "\"How can I help you, [pc_name]?\""
        "What can you tell me about...?":
            jump .squeeb_information
        "[que]":
            jump .squeeb_quests
        "How did you get here?":
            jump .squeeb_story
        "Have you heard any rumors?":
            jump .squeeb_rumors
        "Lyra needs help at the temple." if relationship_lyra['looking_for_help']:
            squeeb "\"Sorry my friend, I can't leave the bar unattended. Besides wererat or not I'm not really built for that kind of labor.\" Squeeb says regrettably. \"I hope you can find someone to help.\""
            jump talk_squeeb.conversation
        "Nevermind":
            hide squeeb collared_idle with dissolve
            jump scene_last_drop.tavern

    label .squeeb_information:
        $ input_string = renpy.input("What can you tell me about...",length = 20,exclude = ".?!")
        # $ input_string = pc.profile['Name'].strip()

        if not input_string:
            $ input_string = ""

        if input_string.lower() == "collar" or input_string.lower() == "collars":
            squeeb "\"I don't know much about them I'm afraid. I know they don't come off easily and they affect people's mood somehow. I do know that some folk have removed them somehow but I don't know the specifics of how. You'd probably want to talk to someone more versed in magic to learn more.\""
        elif input_string.lower() == "wererat" or input_string.lower() == "wererats":
            squeeb "\" \""
        elif input_string.lower() == "werewolf" or input_string.lower() == "werewolves" or input_string.lower() == "werewolfs":
            squeeb "\" \""
        elif input_string.lower() == "lycanthrope" or input_string.lower() == "lycanthropy":
            squeeb "\" \""
            squeeb "\" \""
            squeeb "\" \""
        elif input_string.lower() == "fenna":
            if relationship_fenna['location'] == "last_drop":
                squeeb "\"I don't really feel comfortable telling you her story, you'll have to ask her yourself. I can say that we've worked together for a number of years now, even before we got to Alcatraz. Still waters run deep with that one.\""
            else:
                squeeb "\"She's a quiet one but she's got a big heart. I'm glad she's doing what she thinks is right and I hope she's doing well. Can't say I don't miss her though. We're practically family and that's not gonna change no matter where she is.\""
        elif input_string.lower() == "minotaur" or input_string.lower() == "minotaurs":
            squeeb "\"Minotaurs are a mountain people from what I know. Solitary hermits usually, tend to keep to themselves. From my time with Fenna I know that in spite of appearances they're obligate carnivores. Fenna would know more but that could pose a different challenge.\""
        elif input_string.lower() == "alcatraz" or input_string.lower() == "alkatraz" or input_string.lower() == "island":
            squeeb "\"Alcatraz is a large island with a high mountain at it's center. I don't know the full history but from my time here I know it was inhabited at one point though whoever used to live here is long gone by now. There are a good amount of ruins scatter throughout the island though if you're feeling adventurous.\""
            squeeb "\"The Legion controls the island now, though they don't venture to far beyond the shores and their forts. It's currently just used as a dumping ground for anyone the Legion deems unsavory. The surrounding ocean is pretty treacherous, lots of strange currents and jagged rock formations make sailing off the island near impossible without a proper ship and navigator.\""
        elif input_string.lower() == "vergesseneburg":
            squeeb "\"It's a town to the west of here. Apparently it was an abandoned town that some folks found and have been repairing. It's sort of become the hub for a lot of the prisoners on the island. Some folk have even set up shops there, it's about the closest thing to a town you'll find here.\""
        elif input_string.lower() == "sunken maiden" or input_string.lower() == "the sunken maiden":
            squeeb "\"The Sunken Maiden was a trade ship I worked on with Fenna. I was the navigator but we got hit by a bad storm one night and got blown off course a little too close to Alcatraz. The Legion didn't take too kindly to that and attacked us. The ship was sunk off the northern coast somewhere.\""
        elif input_string.lower() == "legion" or input_string.lower() == "the legion" or input_string.lower() == "the elven legion":
            squeeb "\"The Legion are a collective of some elven territories. Then banded together about two decades ago and have been using their combined forces to take over and expand their territory. I'm not really one for political gossip so I don't know much more then that.\""
        elif input_string.lower() == "dick" or input_string.lower() == "cock" or input_string.lower() == "penis":
            squeeb "\"That's a rather cheeky question.\""
        elif input_string.lower() == "vag" or input_string.lower() == "vagina" or input_string.lower() == "pussy":
            squeeb "\"You're rather cheeky aren't you.\""
        elif input_string.lower() == "ass" or input_string.lower() == "butt" or input_string.lower() == "sex":
            squeeb "\"I don't think we're close enough to talk about that.\""
        elif input_string.lower() == "dorzakk":
            if relationship_dorzakk['injured']:
                # Dorzakk still injured
                squeeb "\"He seems like a good guy. A little rough around the edges but who isn't. He seems pretty frustrated by his injuries. I keep tell him to rest but he just can't sit still. If there was an apothecary nearby they might be able to help. But I can't go running off to Vergessenburg.\""
            else:
                if relationship_dorzakk['location'] == "last_drop":
                    if relationship_fenna['location'] != "last_drop":
                        # Fenna helping Lyra
                        squeeb "\"He's been a great asset. Took to Fenna's jobs pretty well, aside from tending the bees. He's not quite gentle enough for that but he tries. Can't say I don't miss having Fenna around though.\""
                    else:
                        # Fenna and Dorzakk here
                        squeeb "\"He's a good guy. Rough around the edges but he's been helping out where he can. He seems like a private person though and I don't think it's right for me to gossip.\""
                else:
                    squeeb "\"He's a good guy. Rough around the edges but he's a great help when he's around. He seems like he's got a lot on his mind. I hope he's doing well wherever he's gone off to.\""

        else:
            squeeb "Sorry I don't know anything about that"

        $ input_string = ""
        jump talk_squeeb.conversation
    label .squeeb_quests:
        # First delivery quest start
        if squeeb_quest["quest"] == 0:
            if squeeb_quest["quest_phase"] == 0:
                menu:
                    squeeb "\"Now that you mention it I did need to make a run to Vergesseneburg for some supplies. If you could bring me those supplies it'd be a tremendous help. If you take this barrel of mead and letter to Lucia she'll give you the supplies I need. What do you say?\""
                    "I'd be happy to":
                        $ squeeb_quest["quest_phase"] = 1
                        squeeb "\"Fantastic! Here's the mead and a letter explaining who you are. Take this to Lucia at the Bloody Lip in Vergesseneburg. Just come back here when you're done.\""
                        $ addToInventory(inventory,item_squeeb_mead,1)
                        $ addToInventory(inventory,item_squeeb_letter,1)
                        # Add Items
                        pass
                    "Not right now":
                        squeeb "\"Fair enough. It is a bit of a journey but if you find yourself heading that direction and want to earn some favor just say the word.\""
                        pass
                jump talk_squeeb.conversation
            # First delivery quest reminder
            elif squeeb_quest["quest_phase"] == 1:
                squeeb "I need you to take that payment to Lucia at the Bloody Lip in Vergesseneburg. The Bloody Lip is the tavern there. She should be there at night."
                jump talk_squeeb.conversation
            # First delivery quest completion
            elif squeeb_quest["quest_phase"] == 2:
                squeeb "You got everything, this is great help [pc_name]. I do hope Lucia didn't give you too much trouble."
                "[pc_name]" "She wants you to come personally next time. She says she misses your company."
                squeeb "Ah, well I suppose I can't deny her such a request. I'm sure you're well aware of her... influences at this point. Sorry for not warning you ahead of time. She's mostly benign I assure you, she just doesn't really understand personal space. You did a great job getting me these supplies, it's not much but here's a token of my appreciation."
                "Squeeb hands you an old knife. The binding is worn but the blade is still sharp."
                $ squeeb_quest["quest"] = 1
                $ squeeb_quest["quest_phase"] = 0
                $ removeQuestItem(item_squeeb_supplies,1)
                $ addToInventory(inventory,item_squeebs_knife,1)
                # Add Knife
                jump talk_squeeb.conversation
        else:
            squeeb "I don't have any jobs available right now."
            jump talk_squeeb.conversation

    label .squeeb_story:
        squeeb "\"I was working as a navigator on the Sunken Maiden when a storm blew us off course. We got a little too close to Alcatraz and Legion didn't take too kindly to that. There was a fire fight and the ship was lost. Fenna and I managed to swim to shore but the Legion arrested us when we did.\" He looks away with a crooked frown."
        jump talk_squeeb.conversation

    label .squeeb_rumors:
        squeeb "\"I've heard there's a ghost that appears in the church at Vergesseneburg at night. They only appear between midnight and 1 o'clock. I haven't seen it myself so I can't confirm anything but it's a popular story with the locals.\""
        jump talk_squeeb.conversation

label talk_fenna:
    label .approach:
        $ _o = True
        if 8 < calendar[3] < 20 and weather == 1:
            $ _o = True
            $ outdoor()
        else:
            $ _o = False
            $ indoor()

        show fenna collared_idle with dissolve

        if relationship_fenna['location'] == 'last_drop_beehives':
            "You step towards the large minotauress cautiously, raising a hand in greeting. She glances your direction for a moment. She nods to acknowledge your presence before returning her attention to her work."
        elif relationship_fenna['location'] == 'last_drop_interior':
            "You step towards the large minotauress cautiously, raising a hand in greeting. She looks up from her table giving you a nod to acknowledge your presence. She remains silent as you take a seat next across from her."
        elif relationship_fenna['location'] == 'bloody_lip':
            "You approach Fenna, raising your hand in greeting. She looks to you with a small nod and a gestures slightly towards the stool next to her. You pull it back with a grinding creak and take a seat."
        elif relationship_fenna['location'] == 'cathedral_interior':
            "You wave a hand in Fenna's direction, earning her attention. She puts down a large piece of wood and gives you a nod of acknowledgment. She stands up straight as you approach. She pushes her shoulders back, and back straight. You can hear a few bones pop into place from the strain of her repetitive work."

        if pc.equipment['Acc'].id_key != item_magic_collar.id_key and pc.equipment['Acc'].id_key != item_broken_collar.id_key and relationship_fenna['no_collar'] == False:
            fenna "Fenna looks at you, eyebrows raised slightly in surprise. \"Your collar.\" She says simply."
            if hero >= villain:
                player "\"I met with a spellcaster who taught me the secrets of removing these things.\""
            else:
                player "\"I've mastered these collars and won't be chained by the Legion any longer.\""
            "Fenna looks to you with a nod but says no more on the topic."
            $ relationship_fenna['no_collar'] = True

        jump talk_fenna.conversation

    label .conversation:
        $ que = "Do you have any jobs I can do?"
        # Sort out quest dialogue
        if fenna_quest['quest'] == 0:
            if fenna_quest['quest_phase'] == 1:
                $ que = "What did you need me to do again?"
            elif numberOfItem(inventory,item_nails) >= 5:
                $ que = "I have the supplies for you."
        menu:
            # "Fenna works quietly barely making any indication that she even knows you're there."
            # "What can you tell me about...?":
            #    jump .fenna_information
            "Fenna looks to you, arms firmly at her side."
            "[que]":
                jump talk_fenna.fenna_quests
            "How did you get here?":
                jump talk_fenna.fenna_story
            "Were you a soldier?" if pc_trait['Knight']:
                fenna "Fenna stiffens suddenly, standing straight arms clamped to her side. She relaxes quickly, as she becomes aware of her reflexive action. \"Yes.\""
                player "\"Who did you serve under if I can ask?\" You ask pressing the question. Fenna is usually stiff, and quiet but the question seems to have gotten her full attention."
                fenna "\"Viceroy Juliet Beckett.\" She says simply. \"How did you know?\" She asks a faint hint of curiosity in her tone."
                player "\"It's in the way you stand. Your shoulders especially give it away. I imagine you've been a soldier for sometime.\""
                fenna "Fenna looks down, as if she's remembering something very distant. \"I was.\""
                player "It's rare for her to betray any emotion at all but her sadness is deeply apparent. \"I apologize. I didn't mean to overstep my bounds.\" You say with a small bow."
                fenna "She stays quiet for a moment, sighing loudly. \"It's alright. Was a long time ago.\" she says finally breaking the silence."
                "You decide not to push her any further, this was already a rather length conversation by Fenna's standards."
                jump talk_fenna.conversation
            "Have you heard any rumors?":
                jump talk_fenna.fenna_rumors
            "Lyra needs help at the temple." if relationship_lyra['looking_for_help'] and not relationship_dorzakk['working_for_squeeb']:
                jump talk_fenna.help_lyra
            "Dorzakk will fill in for you."  if relationship_lyra['looking_for_help'] and relationship_dorzakk['working_for_squeeb']:
                jump talk_fenna.help_lyra
            "Nevermind":
                "Fenna gives you a small nod as you leave."
                # hide fenna collared_idle with dissolve
                hide fenna with dissolve
                if relationship_fenna['location'] == 'last_drop_interior':
                    jump scene_last_drop.tavern
                elif relationship_fenna['location'] == 'last_drop_beehives':
                    jump scene_last_drop.beehives
                elif relationship_fenna['location'] == 'bloody_lip':
                    jump scene_bloody_lip.interior
                elif relationship_fenna['location'] == 'cathedral_interior':
                    jump scene_cathedral.interior
                else:
                    jump scene_last_drop.tavern

    label .fenna_quests:
        if fenna_quest['quest'] == 0:
            if fenna_quest['quest_phase'] == 0:
                fenna "She almost gives you a look of surprise \"I need some nails to fix the roof.\" She doesn't elaborate any further but it's a start."
                menu:
                    "I'll see what I can do.":
                        $ fenna_quest['quest_phase'] = 1
                        fenna "She gives you a nod of appreciation before returning to her work."
                    "I'm a little busy for that.":
                        fenna "Her brow raises slightly. \"Alright.\""
            else:
                if numberOfItem(inventory,item_nails) >= 5:
                    fenna "She takes the nails carefully from you, her eyebrows arch ever so slightly into what you imagine is a happy expression. \"Thank you.\" She says plainly before handing you a large hammer and bizarre piece of parchment in return."
                    $ removeQuestItem(item_nails,5)
                    $ addToInventory(inventory,item_fennas_hammer,1)
                    $ addToInventory(inventory,item_xp_page_I,1)
                    $ fenna_quest['quest_phase'] = 0
                    $ fenna_quest['quest'] = 1
                else:
                    fenna "She thinks for a moment \"I need 5 boxes of nails.\" There's no tone to her voice, it's not harsh or demanding it's just a simple fact."
            jump talk_fenna.conversation
        else:
            jump talk_fenna.conversation

    label .help_lyra:
        if relationship_fenna['need_replacement'] == False:
            if fenna_quest['quest'] > 0:
                fenna "She stares at you for a long while. \"I can't leave my work all to Squeeb. Sorry.\" She says finally breaking the silence."
                player "\"What if I found someone to do your work here until you were done?\" You suggest desperately. \"Not that that really changes the situation much.\""
                fenna "\"That could work, as long as it's temporary.\" She says, surprisingly quickly for her. She pauses for a moment. \"I'll tell Squeeb, if you can find someone to do my jobs here properly.\""
                player "\"Great. I'll see if I can find anyone.\""
                $ relationship_fenna['need_replacement'] = True
            else:
                fenna "She gives you a long look before saying \"I have too much work to do here. Sorry.\""
        else:
            if relationship_dorzakk['working_for_squeeb']:
                if relationship_fenna['help_lyra_keys'] == False:
                    fenna "She thinks for a moment “He has spent a little time helping here. That should work.” Fenna says plainly. \"I will need a place to stay in Vergesseneburg. Can you find a place I can stay?\" She asks."
                    player "I'll see what I can find."
                    $ relationship_fenna['help_lyra_keys'] = True
                else:
                    $ _k = 0
                    if numberOfItem(inventory,item_key_21) > 0:
                        $ _k = 21
                    elif numberOfItem(inventory,item_key_22) > 0:
                        $ _k = 22
                    elif numberOfItem(inventory,item_key_23) > 0:
                        $ _k = 23
                    elif numberOfItem(inventory,item_key_24) > 0:
                        $ _k = 24
                    elif numberOfItem(inventory,item_key_25) > 0:
                        $ _k = 25
                    elif numberOfItem(inventory,item_key_26) > 0:
                        $ _k = 26

                    if _k != 0:
                        fenna "She looks around a slowly, taking in the surroundings that have been her home. He expression is difficult to read but you imagine she's reminiscing. \"That will work well.\" She finally says, breaking the silence."
                        menu:
                            "{b}Give Fenna your key to the Bloody Lip. You won't be able to use that room once you do.{/b}"
                            "Give Key [_k]":
                                fenna "She reaches out to you, taking the key carefully. \"I'll gather my things and leave immediately.\" She gives you a nod. \"I'll see you in Vergesseneburg.\" With that she goes to her room to gather her belongings."
                                $ relationship_fenna['helping_lyra'] = True
                                $ relationship_lyra['looking_for_help'] = False
                                $ relationship_lyra['helped'] = True
                                $ bloody_lip['room_'+str(_k)] = "Fenna"
                                $ last_checkpoint = "scene_last_drop.safe_room"
                                if _k == 21:
                                    $ removeItem(inventory,item_key_21,1)
                                elif _k == 22:
                                    $ removeItem(inventory,item_key_22,1)
                                elif _k == 23:
                                    $ removeItem(inventory,item_key_23,1)
                                elif _k == 24:
                                    $ removeItem(inventory,item_key_24,1)
                                elif _k == 25:
                                    $ removeItem(inventory,item_key_25,1)
                                elif _k == 26:
                                    $ removeItem(inventory,item_key_26,1)

                                hide fenna with dissolve

                                if relationship_fenna['location'] == 'last_drop_beehives':
                                    $ relationship_fenna['location'] = "bedroom"
                                    jump scene_last_drop.beehives
                                else:
                                    $ relationship_fenna['location'] = "bedroom"
                                    jump scene_last_drop.tavern
                            "Not now":
                                fenna "She gives you a nod. \"Understood.\""
                                if relationship_fenna['location'] == 'last_drop_beehives':
                                    jump scene_last_drop.beehives
                                else:
                                    jump scene_last_drop.tavern
            else:
                fenna "She looks at you blankly for a moment. \"Have you found a replacement yet?\""
                player "Not yet, I'll keep looking."


        jump talk_fenna.conversation

    label .fenna_story:
        fenna "She stares at you for far longer then is comfortable before saying \"I was arrested with Squeeb.\" She doesn't provide any further detail and returns her attention to your work."
        jump talk_fenna.conversation

    label .fenna_rumors:
        fenna "She gives you an inscrutable plain look. \"No.\" You get the feeling she's not one for gossip."
        jump talk_fenna.conversation

label talk_dorzakk:
    label .approach:
        show dorzakk collared_idle with dissolve
        if relationship_dorzakk['location'] == 'last_drop_exterior':
            $ outdoor()
            if calendar[3] % 2 == 0:
                "You approach the grizzled orc slowly, not wanting to interrupt. He continues his repetitive exercise for a few moments, finishing his reps. Dorzakk stands up, wiping sweat from his brow. Sweat drips down his muscular form. Brushing back his mass of hair he gives you a nod of greeting."
                $ _t = "How can I help ya?"
            else:
                "You approach the meditating orc quietly, not wishing to to interrupt. In spite of your attempts at subtlety Dorzakk notices your approach almost immediately. He grumbles and sighs, his attempt at meditating clearly having failed. Sitting up he stretches, you hear the pop of a bone as it snaps into place causing him to wince. Tossing his hair back out of his eyes, he greets you with a nod."
                $ _t = "Looking to do some training?"
        elif relationship_dorzakk['location'] == 'last_drop_interior':
            $ indoor()
            if weather == 1:
                "You approach the grizzled orc. You pull a squeaky chair across from him, taking a seat. He looks up to you. His brow raises hopefully as you do, he seems grateful for anything to ease his boredom. Dorzakk nods, welcoming your approach."
                $ _t = str(pc.profile['Name'])
            else:
                if relationship_dorzakk['injured']:
                    "You step towards Dorzakk, reaching for a chair but the orc doesn't seem to notice you approach. Taking a seat you wait for a few moments before clearing your throat. Dorzakk looks up at you, seemingly surprised by your presence."
                    $ _t ="Oh, " + str(pc.profile['Name'])
                else:
                    "You pull up a chair across from Dorzakk, the chair squeaks as it moves. The shrill noise doesn't seem to alert the orc. He continues to stare wistfully at the banging window shutters, completely lost in his own thoughts. You sit for a moment, not wishing to startle him before clearing your throat. He eventually turns his attention to you."
                    $ _t = "Oh, " + str(pc.profile['Name']) + ". What can I do for ya?"
        elif relationship_dorzakk['location'] == 'cathedral_interior':
            "You step towards Dorzakk with a wave to get his attention. With a grunt and a heave he places down some of the bricks he'd been moving. He brushes sweat and hair from his brow with his forearm. Taking a deep breath he nods in your direction acknowledging your presence."
            $ _t = "Oh, " + str(pc.profile['Name']) + ". What can I do for ya?"
        elif relationship_dorzakk['location'] == 'bloody_lip':
            "You head towards Dorzakk giving him a friendly wave. He glances up at you with a small smile, his lower tusks pulling at the sides of his mouth. With a creak and a shuffle he makes some room for you to sit."
            $ _t = "What can I do for ya?"

        if pc.equipment['Acc'].id_key != item_magic_collar.id_key and pc.equipment['Acc'].id_key != item_broken_collar.id_key and relationship_dorzakk['no_collar'] == False:
            if relationship_dorzakk['injured']:
                dorzakk "\"You got rid of it?\" Dorzakk says squinting at you. \"You got rid of it! How?!\" He shouts loudly gain the attention of a few patrons."
            else:
                dorzakk "\"You got rid of it?” Dorzakk says squinting at you. \"You got rid of it!\" He says grabbing your shoulder roughly. \"How?!\""

            if hero >= villain:
                player "\"I met a sorcerer. I don't know how he did it.\" You stammer out as the orc shakes you \"He told me how but it's a bit of complicated.\""
            else:
                player "\"I won't be chained by the damned Legion. I can remove them but it's a complicated process.\""

            $ _t = "\"I see. I'd be even more in your debt if you could teach me how to remove this damned thing. I'll do whatever I need to. Just say the word.\" Dorzakk says firmly, taking a step back."
            $ relationship_dorzakk['no_collar'] = True

        dorzakk "[_t]"
        jump talk_dorzakk.conversation

    label .conversation:
        # HELP LYRA INFO
        $ _l = False
        $ _o = False
        $ _t = False
        if relationship_lyra['looking_for_help'] and not relationship_dorzakk['injured'] and relationship_dorzakk['help_lyra_count'] < 10 and not relationship_dorzakk['help_lyra_keys']:
            $ _l = True
        if relationship_lyra['looking_for_help'] and not relationship_dorzakk['injured'] and relationship_dorzakk['help_lyra_count'] > 0 and not relationship_dorzakk['help_lyra_keys']:
            if pc.profile['Race'] == "Orc":
                $ _o = True
            elif pc_trait['Tough']:
                $ _t = True
        show dorzakk collared_idle with dissolve
        menu:
            "..."
            "What can you teach me?" if not relationship_dorzakk['injured']:
                $ shopInventory = dorzakkInventory
                hide screen menubar
                hide screen clock
                call screen shop_screen(inventory,shopInventory,1.5) with dissolve
                $ dorzakkInventory = _return
                jump talk_dorzakk.conversation
            "What happened to your arms?" if relationship_dorzakk['injured']:
                jump talk_dorzakk.arms
            "I'm looking for work if you have anything I can do?" if dorzakk_quest['quest_phase'] == 0 and dorzakk_quest['quest'] == 0:
                jump talk_dorzakk.heal
            "I have the potions you need" if dorzakk_quest['quest_phase'] == 1 and dorzakk_quest['quest'] == 0:
                jump talk_dorzakk.potions
            "Lyra needs help at the temple." if _l:
                jump talk_dorzakk.help_lyra
            "A place to stay while you help Lyra." if relationship_dorzakk['help_lyra_keys']:
                jump talk_dorzakk.help_lyra
            "Is your pride so wounded? ({b}orc{/b})" if _o:
                jump talk_dorzakk.help_lyra_tough
            "Is your pride so wounded? ({b}tough{/b})" if _t:
                jump talk_dorzakk.help_lyra_tough
            "Could you take over Fenna's job for a while?" if relationship_fenna['need_replacement']:
                jump talk_dorzakk.help_squeeb
            "What brought you here?":
                jump talk_dorzakk.here
            "Leave":
                jump talk_dorzakk.leave


    label .arms:
        "The orc grunts at the question. His teeth grind, creating a chilling, unpleasant noise. Clearly it's a sore subject. You start to regret asking but he takes a deep loud breath in. Holding it for a moment you see his feature relax and he begins to speak."
        dorzakk "\"I wasn't going to simply leave peacefully. So, broke a few noses before leaving the fort. Damned elves gave as good as they got though. Wouldn't finish the job though, cowards. Busted up my arms and just sent me on my way.\" He says darkly, face contorting in frustration. He seems more agitated now, maybe you shouldn't have asked."
        jump talk_dorzakk.conversation

    label .heal:
        "Dorzakk thinks for a moment, his narrow sunken eyes glancing up and down your body. He stares at you critically for several moments. His expression makes you somewhat self conscious as he inspects you. Eventually he shrugs in a manner that doesn't inspire confidence."
        dorzakk "\"Squeeb has done his best to treat my injuries, but they won't heal anytime soon without proper treatment. Apparently there's an apothecary in Vergesseneburg to the west. I'm in no condition to make the journey but if ya could go get me two minor healing potions that should be enough to fix these arms of mine.\""

        menu:
            dorzakk "\"I can't pay ya for the potions but once I'm healed I can teach ya some skills that may help ya survive out here.\""
            "I'll head over as soon as I can.":
                dorzakk "\"Thank ya. I appreciate the help. I'll be here whenever ya get those potions.\""
                $ dorzakk_quest['quest_phase'] = 1
                jump talk_dorzakk.conversation
            "I can't right now.":
                dorzakk "\"It was a long shot. If ya change your mind, I'll be here.\""
                jump talk_dorzakk.conversation

    label .here:
        "Dorzakk frowns, falling silent for a few moments. His expression is inscrutable and the silence is defeaning. Eventually he looks up to you, taking a deep breath."
        dorzakk "\"I'd rather not get into the details of it for now.\""
        jump talk_dorzakk.conversation

    label .potions:
        if numberOfItem(inventory,item_potion_basic) >= 2:
            "You hand Dorzakk two healing potions, which he takes eagerly. He pulls a bottle to his lips and grips the cork in his teeth. A hard pop echoes as he pulls the stopper free, spitting it to the ground unceremoniously. He swallows the potion down eagerly and without restraint. Placing the empty bottle down he grabs the second, repeating the action."
            "Dorzakk's muscles tense and he flinches as the effects of the healing potions begin to take hold. He clenches his fists tightly, veins bulging in his arms. He takes a sharp breath, exhaling deeply. His jagged teeth poke out dangerous from under his lips."
            "Reaching up with a shaky hand, the orc begins to removes his bandages. Steadily unwrapping the tattered cloth, while freeing his arm from the sling.  Dorzakk flexes and stretches his arms, testing their limits. Any pain he was feeling seems to have subsided and major damage seems to have healed, leaving only superficial marks. A few scrapes and bruises linger but will subside in a few days times."
            dorzakk "Thank ya [pc_name]. I feel better already.\" He says gruffly, flexing his fingers a few times. \"I don't know if I'll be able to repay ya but I can start teaching ya some new techniques if ya've got the aptitude.\""
            "[pc_name]" "\"What do you intend to do now?\""
            dorzakk "He thinks for a moment before responding, a slight hesitance and uncertainty in his voice. \"Hadn't given in much thought. I'll probably stick round here for a little while, help out Squeeb and Fenna for what they done. I'll keep offering ya whatever services I can. After that, can't say. Maybe I'll head to Vergesseneburg. Start up shop there.\""
            $ removeItem(inventory,item_potion_basic,2)
            $ relationship_dorzakk['injured'] = False
            $ dorzakk_quest['quest_phase'] = 0
            $ dorzakk_quest['quest'] = 1
        else:
            "You reach into your bag for the potions but find you don't have the required amount. Sheepishly you retract your hand and apologies. Dorzakk frowns a little but gives a half shrug."
            dorzakk "\"Come back whenever ya get the healing potions. Remember I'll need two of them to treat these wounds.\""

        jump talk_dorzakk.conversation

    label .help_lyra:
        if relationship_dorzakk['help_lyra_keys'] == False:
            if relationship_dorzakk['help_lyra_count'] == 0:
                dorzakk "\"That rat from the ship? Absolutely not.\" He says immediately. He stares at you motionlessly and without pity."
                player "\"Come on, you said you were planning to go to Vergesseneburg at some point anyways. Why not accelerate it a little?\""
                dorzakk "\"No. I'm not going there to help that miserable rat woman.\" Dorzakk says coldly. \"Besides I owe Squeeb and Fenna for what they done for me.\""
            elif relationship_dorzakk['help_lyra_count'] < 9:
                player "\"Please, please please please!\""
                dorzakk "\"No. I told ya once and I'll tell ya again. Absolutely not.\" Dorzakk says harshly, temper growing."
                $ relationship_dorzakk['score'] -= 1
            else:
                player "\"Please, please please please!\""
                dorzakk "\"FINE!!\" He shouts angrily. \"Fine I'll go help the damned rat woman. Ya happy?!\" He grumbles angrily" with vpunch
                player "\"Thank you Dorzakk!\""
                dorzakk "\"Damn ya! If it'd been anyone else I'd have snapped them in half over my knee!\" He says angrily, shoving a meaty finger into your chest. He takes a deep breath to calm himself. \"I'll need a place to stay if I'm just helping her. You find me a place to stay and I'll head over.\""
                $ relationship_dorzakk['help_lyra_keys'] = True
            $ relationship_dorzakk['help_lyra_count'] += 1
        else:
            $ _k = 0
            if numberOfItem(inventory,item_key_21) > 0:
                $ _k = 21
            elif numberOfItem(inventory,item_key_22) > 0:
                $ _k = 22
            elif numberOfItem(inventory,item_key_23) > 0:
                $ _k = 23
            elif numberOfItem(inventory,item_key_24) > 0:
                $ _k = 24
            elif numberOfItem(inventory,item_key_25) > 0:
                $ _k = 25
            elif numberOfItem(inventory,item_key_26) > 0:
                $ _k = 26

            if _k != 0:
                dorzakk "He grumbles a little and looks at the key. \"That should do if you're alright parting with it.\""
                menu:
                    "{b}Give Dorzakk your key to the Bloody Lip. You won't be able to use that room once you do.{/b}"
                    "Give Key [_k]":
                        dorzakk "\"I'll head over now.\" He says with a grumble. The orc takes the key before heading to his room. He gathers his meager belongings and bids farewell to Squeeb and Fenna. He gives you a look which is difficult to read but says nothing else before leaving."
                        $ last_checkpoint = "scene_last_drop.safe_room"
                        $ relationship_dorzakk['helping_lyra'] = True
                        $ relationship_lyra['looking_for_help'] = False
                        $ relationship_lyra['helped'] = True
                        $ bloody_lip['room_'+str(_k)] = "Dorzakk"
                        if _k == 21:
                            $ removeItem(inventory,item_key_21,1)
                        elif _k == 22:
                            $ removeItem(inventory,item_key_22,1)
                        elif _k == 23:
                            $ removeItem(inventory,item_key_23,1)
                        elif _k == 24:
                            $ removeItem(inventory,item_key_24,1)
                        elif _k == 25:
                            $ removeItem(inventory,item_key_25,1)
                        elif _k == 26:
                            $ removeItem(inventory,item_key_26,1)

                        hide dorzakk with dissolve

                        if relationship_dorzakk['location'] == 'last_drop_exterior':
                            $ relationship_dorzakk['location'] = "bedroom"
                            jump scene_last_drop.exterior
                        else:
                            $ relationship_dorzakk['location'] = "bedroom"
                            jump scene_last_drop.tavern

                    "Not right now":
                        dorzakk "He sighs in what seems to be relief. \"I'll be here if you change your mind and that little rodent still needs help.\""
            else:
                dorzakk "He looks at you gruffly, giving you a dirty look. \"I still need a place to stay if I'm going to help that little rat. I don't need much, just a room will do.\" He says through gritted teeth."
        jump talk_dorzakk.conversation

    label .help_lyra_tough:
        player "\"You wouldn't really leave that poor girl to work alone would you? Where is your pride?\" You say harshly, like a disappointed parent. \"Would you rather stay here wasting away on the kindness of others? Or would you rather accomplish something with your own two hands?\""
        dorzakk "The orc seems taken aback by your words. \"Uh, well no. I just don't...\""
        player "\"You don't? You don't want to because she injured your pride.\" You snap back."
        dorzakk "Dorzakk remains quiet for a moment as he thinks. He takes a breath and with a gruff sigh he says, \"Alright. You've made your point. I'll help the little rat. I haven't been out there yet, so if don't mind finding me a place to stay first, then I'll go.\" He says nervously, a meaty hand reaching up to scratch at his neck."
        $ relationship_dorzakk['help_lyra_keys'] = True
        jump talk_dorzakk.conversation

    label .help_squeeb:
        dorzakk "\"I was planning on staying around here for a while anyways. I suppose I can take over for Fenna while she's away.\" He says thoughtfully. \"You let Fenna know I'll watch the place while she's gone.\" He says gruffly."
        $ relationship_dorzakk['working_for_squeeb'] = True
        jump talk_dorzakk.conversation

    label .leave:
        if relationship_dorzakk['location'] == 'last_drop_interior':
            "You decide to leave the Dorzakk to his drink, excusing yourself you get up and leave. He gives you a small halfhearted wave as you leave. You turn back to the rest of the tavern."
            hide dorzakk with dissolve
            jump scene_last_drop.tavern
        elif relationship_dorzakk['location'] == 'last_drop_exterior':
            "You decide it's time to take your leave. Dorzakk gives you a small wave as you excuse yourself and return to the front of the small inn."
            hide dorzakk with dissolve
            jump scene_last_drop.exterior
        elif relationship_dorzakk['location'] == 'bloody_lip':
            "You decide to leave the Dorzakk to his drink, excusing yourself you get up and leave. He gives you a small halfhearted wave as you leave. You turn back to the rest of the tavern."
            hide dorzakk with dissolve
            jump scene_bloody_lip.interior
        else: # if relationship_dorzakk['location'] == 'cathedral_interior':
            "You decide it's time to take your leave. Dorzakk gives you a small wave as you excuse yourself and return to the temple."
            hide dorzakk with dissolve
            jump scene_cathedral.interior








# ************************************************************************************************************************************************************************************** #
