label scene_vergesseneburg:

    label .exterior:
        $ outdoor()
        $ map_point = vergesseneburg

        $ _t = ""
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "Vergesseneburg is a tight collection of buildings and ruins all forming slowly expanding rings. The center of the town has been heavily repaired, while the exterior is simply the remains of stone foundations. A tall two and a half storey building sits at the very center. Small light gray plumes of smoke drift up from it's chimney lazily. Candlelight flickers in it's windows obscured occasionally by the shadows of people inside."
                    $ _t = "Many people of various races mingle and wander between the streets. A strange collection of the obscure and bizarre all working together to survive. Minotaur, trolls and gargoyles work to repair and reconstruct buildings. Lycanthropes, goblins and kobolds hunt carve fresh game. Orcs construct tools while dryads weave cloth for tailors."
                # Rain
                elif weather == 2:
                    $ _t = "The town is quieter then usual due to the rain which drums across the rooftops rhythmically. Icy wind blows through the wide streets, rattling shutters and shaking signs. In spite of the weather several people still roam the dark streets. They hastily move between buildings conducting their business before quickly seeking shelter. Candlelight flickers in windows and behind doors. Shopkeepers keep their doors open to any who need their surfaces or respite from the rain."
                # Storm
                else:
                    $ _t = "Vergesseneburg's stone streets are left barren and empty in the wake of the storm. The squat buildings are lifeless silhouettes in the gloom. Small cracks of light peak through shutters and under door frames. The only signs of life to be seen as icy wind and rain beat down the streets and rooftops. The usual din of people working and bartering has been replaced by the torrential banging of rain across stone and wood. Thunder crackles ferociously overhead while lightning casts brief flashes of dull color across the gray town."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Vergesseneburg Inner Town. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Vergesseneburg Inner Town. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Vergesseneburg Inner Town. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Vergesseneburg Inner Town. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Vergesseneburg Inner Town. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Vergesseneburg Inner Town. Day"
        # Night
        else:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    if calendar[3] <= 1:
                        "Vergesseneburg's stone streets are left barren and empty in the wake of the storm. The squat buildings are lifeless silhouettes in the gloom. Small cracks of light peak through shutters and under door frames. The only signs of life to be seen as icy wind and rain beat down the streets and rooftops. The usual din of people working and bartering has been replaced by the torrential banging of rain across stone and wood. Thunder crackles ferociously overhead while lightning casts brief flashes of dull color across the gray town."
                        $ _t = "The dark stone remains of a church casts long shadows across the streets. It's broken stained glass windows lie empty and dark, except for one. A single candle flickers casting an unnatural beam of light from behind the broken glass. A gaunt silhouette looms, staring from the window. Face obscured heavily in shadow. They stare at you for only a moment before vanishing behind the stone walls. The experience is so sudden you hardly belief you'd seen it before it was gone."
                    else:
                        $ _t = "Dark shadows drag in long tendrils across the streets and up the sides of squat buildings. Small metal cages have been filled with firewood which crackles softly to illuminate the town. Most buildings lay closed and dark in the night hours. Only a few buildings remain open. Inviting candlelight spills out of their windows welcoming you to come inside. The tall two and half storey building that formed the town's meet hall and tavern was one such building."
                # Rain
                elif weather == 2:
                    $ _t = "Rain batters the darkened streets of Vergesseneburg. The cold damp air chills you to the bone. The storm has caused all but the bravest few inhabitants to seek shelter in their homes or the tavern. The metal cages that are used to light the streets and night lay dark in the storm. Only a few embers remain defiantly against the rain but do little to illuminate the shadowy streets. The large tavern near the center of the town is one of the few beacons that remain. Small beams of candlelight flicker out of the window shutters, while the raucous noise of patrons breaks through the din of the rain."
                # Storm
                else:
                    $ _t = "Dark clouds swirl overhead, lightning crackling dangerously within before striking like a spear towards the earth. Flash of light illuminate the town's wide empty streets, followed by deafening rolls of thunder echo between the buildings. The small building of Vergesseneburg tremble under the ferocity of the storm. Shutters rattling in the window. Everyone but you has sought shelter from the violent storm the brews overhead. A few beams of light peak through window shutters and under door frames, guiding you to some safety in the dark."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Vergesseneburg Inner Town. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Vergesseneburg Inner Town. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Vergesseneburg Inner Town. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Vergesseneburg Inner Town. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Vergesseneburg Inner Town. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Vergesseneburg Inner Town. Night"

        menu:
            "[_t]"
            # "Go to the black smith":
            #     pass
            # "Go to the apothecary":
            #     pass
            "Go to the Bloody Lip":
                jump scene_bloody_lip.interior
            "Go to the General Store" if calendar[3] > 6 and calendar[3] < 20:
                jump scene_mickey_general.interior
            "Go to the Apothecary" if calendar[3] > 6 and calendar[3] < 20:
                if relationship_agatha['met_agatha']:
                    jump scene_agatha_apothecary.interior
                else:
                    jump scene_agatha_apothecary.introduction
            "Go to the Temple":
                jump scene_cathedral.exterior
            "Return to the Beach":
                $ map_point = south_coast_02
                jump scene_coast.south_02

label scene_bloody_lip:
    label .interior:
        $ indoor()
        $ map_point = vergesseneburg

        $ _n = False
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "The Bloody Lip is a quiet place during the day, a large fireplace sits as a center piece of the lower tavern. A tall arched ceiling supports several damaged chandeliers. Candles burn softly in their spokes casting a warm light across the many long tables that fill the space. Vases with bright red flowers sit as center pieces. A few old portraits line the halls depicting gaunt and sinister looking creatures."
                    "A large ornate bar sits near to the fireplace. Behind it is a large rack filled with bottles, barrels and flagons. A tall staircase winds up towards a second storey balcony which lines part of the tavern. You can see several doors which lead to rooms for rent. The balcony is lined with a beautiful banister. The detailing and construction of this building seems to be a cut above anything else you've seen on the island."
                    "A dusty and pale elf hovers between tables cleaning and preparing for the evening crowd. He wears little more then rags and an apron as he works. They seem to be in a haze and barely notice your presence. Other patrons seem to pay the elf no mind as he works, barely sparing him a glance."
                    $ _t = "A tall ghoulish creature with pale skin sits perched behind the bar. He watches you enter, his sunken eyes following each movement within the tavern. He remains mostly still, like a gargoyle looming over the small crowd."
                # Rain
                elif weather == 2:
                    "The Bloody Lip is busier then usual. Many tables are filled with patrons of various races all seeking shelter from the rain. Main people sit huddled next to the fireplace which crackles and burns. Many of the long tables are filled by people who mingle and drink casually. Several gaunt and pale creatures float between the tables handing out drinks while collecting baubles in trade."
                    "The firelight in the storm cast strange shadows across the portraits in the tavern. The already macabre paintings look even more unsettling, as if their hunting you. Their look is like a predator stalking it's pray but you can't help but look at them."
                    $ _t = "A tall ghoulish creature with pale skin sits perched behind the bar. He watches you enter, his sunken eyes following each movement within the tavern. He remains mostly still, like a gargoyle looming over the growing crowd."
                # Storm
                else:
                    "The Bloody Lip is bustling in spite of the hour. Many patrons huddle near the fire for warmth, and those that can't fit fight for space at the numerous tables that line the tavern interior. Several patrons squabble angrily with one another. Several dark portraits of bizarre individuals loom over the crowd. The din of the crowd almost drowns out the whistling of wind and rain outside, but the deafening crack of thunder is a firm reminder of the powerful storm the brews behind the tavern walls."
                    "Several bony and pale elves move between the tables mechanically. They take orders, return with drinks, take payment and repeat or a seemingly endless loop. Their rhythm and pacing is bizarre and unsettling to watch, which is likely why most patrons seem to ignore them except when they require food or drink."
                    $ _t = "A tall ghoulish creature with pale skin sits perched behind the bar. His sunken eyes glance over you briefly before returning to the large crowd. As guests approach he doesn't get up from his seat, he simply reaches around the bar with his long gangly limbs. He mixes drinks expertly, with a practiced ease."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Bloody Lip Interior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Bloody Lip Interior. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Bloody Lip Interior. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Bloody Lip Interior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Bloody Lip Interior. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Bloody Lip Interior. Day"
        # Night
        else:
            $ _n = True
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "The tavern interior is busy at night. The many citizens of Vergesseneburg and beyond come here to mingle and relax after a day of work. A small fire crackles low in the fireplace, burning just enough to cast some light on the interior. Several chandeliers with candles help light the space. Long tables with red flower center pieces fill the room, providing a space for the many patrons."
                    "Bizarre portraits of gaunt skeletal creatures loom down with a predatory gaze. It's rather unsettling but the rest of the patrons seems to have grown accustomed to the strange décor and ignore it. Among the other things being ignored are the strange waitstaff who glide between tables mechanically. Their pale elven visages look at people blankly and barely utter a word."
                    $ _t = "Behind the bar sit Lucia, chin held high as she looks down across the crowd like a queen. Her sharp, pale features are accented by the reddish candlelight and her dark black hair. She speaks with her patrons confidently but with an air of superiority."
                # Rain
                elif weather == 2:
                    "The tavern is usually busy at night but with the rain it's become even busier as people seek shelter. A small fire crackles hotly in the fireplace which is obscured by a crowd that surrounds it. Candlelight dances down across the tavern from a set of broken chandeliers. The crowd of people mingle and banter among themselves. The smell of alcohol is strong in the tavern as people drink casually."
                    "Bizarre portraits of gaunt skeletal creatures loom down with a predatory gaze. It's rather unsettling but the rest of the patrons seems to have grown accustomed to the strange décor and ignore it. Among the other things being ignored are the strange waitstaff who glide between tables mechanically. Their pale elven visages look at people blankly and barely utter a word."
                    $ _t = "Behind the bar sit Lucia, chin held high as she looks down across the crowd like a queen. Her sharp, pale features are accented by the reddish candlelight and her dark black hair. She speaks with her patrons confidently but with an air of superiority."
                # Storm
                else:
                    "The tavern is packed with patrons in the wake of the storm. People bicker and shove as they push closer to the fireplace to dry off and stay warm. In spite of this no fights break out although the temptation is apparent on several patron's faces. The benches and tables are packed with people of various races, shapes and sizes all here for the same respite from the storm. The smell of alcohol, sweat and wet fur mingle unpleasantly in the crowd."
                    "The unsettling portraits of gaunt creatures that line the hall are made even more unsettling in the storm. Flashes of lightning that break through the windows illuminate the paintings strangely. They appear to shift and move at a moments notice. Their crooked smiles leer down at you with a predatory hunger. You shutter and it's clear you're no the only one who notices this as several patrons jump and shy away with each crack of thunder."
                    $ _t = "Behind the bar sit Lucia, chin held high as she looks down across the crowd like a queen. Her sharp, pale features are accented by the reddish candlelight and her dark black hair. She coughs firmly and glares down at anyone who begins to bicker. This seems to immediately end any argument, at least as long as they remain in the tavern walls. Her word is law here, a law that's quickly and readily accepted without question."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Bloody Lip Interior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Bloody Lip Interior. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Bloody Lip Interior. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Bloody Lip Interior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Bloody Lip Interior. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Bloody Lip Interior. Night"

        $ _l = False
        if relationship_lyra['location'] == "bloody_lip":
            "Sitting at one of the tables is Lyra. She sits quietly, staring at an empty plate. She seems to be locked in quiet contemplation."
            $ _l = True
        $ _f = False
        if relationship_fenna['location'] == "bloody_lip":
            "Hunched over the bar sits Fenna. She sits on the creaking bar stool with surprising poise. Her broad shoulders obscure a large portion of the bar."
            $ _f = True
        $ _d = False
        if relationship_dorzakk['location'] == "bloody_lip":
            $ _d = True
            if weather == 2:
                "Sitting near the fireplace is a Dorzakk, who stares quietly at the crackling fire. He seems lost in thought, the tankard of mead at his side sits untouched."
            else:
                "Leaning back on a creaky chair is Dorzakk. He has a tankard of mead at his side which he drinks from heavily."

        menu:
            "[_t]"
            ## LUCIA
            "Approach Lucia" if not relationship_lucia["met_lucia"] and _n:
                jump talk_lucia.first_meeting
            "Talk to Lucia" if relationship_lucia["met_lucia"] and _n:
                jump talk_lucia.approach
            ## MORTY
            "Approach the Ghoul" if not relationship_morty['met_morty'] and not _n:
                jump talk_morty.first_meeting
            "Talk to Morty" if relationship_morty['met_morty'] and not _n:
                jump talk_morty.approach
            ## LYRA
            "Approach the wererat" if _l and not relationship_lyra['met_lyra']:
                jump scene_lyra.introduction
            "Talk to Lyra" if _l and relationship_lyra['met_lyra']:
                jump scene_lyra.talk
            ## FENNA
            "Talk to Fenna" if _f:
                jump talk_fenna.approach
            ## DORZAKK
            "Talk to Dorzakk" if _d:
                jump talk_dorzakk.approach
            "Go to the second floor":
                jump scene_bloody_lip.second_floor
            "Rest":
                $ add_time(1,0)
                $ pc.addHP(pc.max_hp/8)
                "You take a few moment to rest among the crowd."
                jump scene_bloody_lip.interior
            "Leave":
                jump scene_vergesseneburg.exterior

    label .second_floor:
        $ indoor()
        $ map_point = vergesseneburg

        $ _n = False
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "A long balcony overlooks the tavern below and wraps around to the front of the building. Several curtain covered windows look out over the dusty streets. A hallway stretches off to one side lined with doors that lead to several bedrooms. The doors all appear to require a key to access. Between the doors hang large portraits of gaunt men and woman. Their eyes seems to follow you down the hall with a looks of hungry and condescension."
                # Rain
                elif weather == 2:
                    $ _t = "A long hallway stretches out from the inner balcony. Tattered drapes cover windows that would otherwise look out over the streets. You can hear the rhythmic tapping of rain against the windows. The sound echoes down the hall mixing with the sound of the crowd below. Several doors with numbers etched into them line the left side of the hall. The doors all appear to have heavy locks and are firmly closed. Leering portraits of gaunt, well dressed men and woman hang between the doors like gargoyles."
                # Storm
                else:
                    $ _t = "The second floor of the Bloody Lip forms a small balcony that overlooks the tavern below. A long hallway extends off of one side. Heavy drapes cover windows that look out over the streets below. You can hear the heavy sounds of the storm beating against the glass. Wind rattles the shutters violently but they hold firmly against the onslaught. Several doors line the opposite side of the hall. Each with a number engraved on it's front. Sinister portraits of emaciated men and woman leer down at you. Their eyes seem to follow you throughout the hall."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Bloody Lip Second Floor. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Bloody Lip Second Floor. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Bloody Lip Second Floor. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Bloody Lip Second Floor. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Bloody Lip Second Floor. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Bloody Lip Second Floor. Day"
        # Night
        else:
            $ _n = True
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "The second floor forms a balcony that overlooks the tavern below. Light from a set of candle filled chandeliers illuminate the space. A hallway stretches off the balcony. One side is lined with windows that overlook the streets below. Curtains pulled open allowing moonlight to fill the hall. The opposite side is lined with numbered doors. The doors all appear to be locked with large ornate doorknobs. Leering portraits of emaciated men and woman sit between the doors like prison guards."
                # Rain
                elif weather == 2:
                    $ _t = "The second floor of the Bloody Lip contains a balcony that overlooks the tavern. Off the balcony is a long dark hallway lined on one side with doors. The doors are all engraved with numbers and contain heavy locks. Heavy curtains sit open opposite the doors, revealing windows. Rain streaks across the glass and batters against it loudly. Tall portraits sit between the doors like gargoyles. Ghastly visages of men and woman leer at you from the shadows."
                # Storm
                else:
                    $ _t = "A dark hallway cuts away from the balcony overlooking the tavern below. The hall is lined with windows that look out over the small town. Tall, dense curtains line one side of the hall like banshees waiting to strike. Flashes of lightning reveal tall portraits opposite the windows. Images of ghastly men and woman who seem to shift with each illuminating strike. Between the guardian portraits are doors all engraved with numbers. The doors all appear to have heavy doorknobs and locks."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Bloody Lip Second Floor. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Bloody Lip Second Floor. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Bloody Lip Second Floor. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Bloody Lip Second Floor. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Bloody Lip Second Floor. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Bloody Lip Second Floor. Night"

        menu:
            "[_t]"
            "Room 21":
                if numberOfItem(inventory,item_key_21) > 0:
                    jump scene_bloody_lip.safe_room
                elif bloody_lip['room_21'] == "":
                    "You knock on the door but there's no response."
                else:
                    "You knock on the door but there's no response."
                jump scene_bloody_lip.second_floor
            "Room 22":
                if numberOfItem(inventory,item_key_22) > 0:
                    jump scene_bloody_lip.safe_room
                elif bloody_lip['room_21'] == "":
                    "You knock on the door but there's no response."
                else:
                    "You knock on the door but there's no response."
                jump scene_bloody_lip.second_floor
            "Room 23":
                if numberOfItem(inventory,item_key_23) > 0:
                    jump scene_bloody_lip.safe_room
                elif bloody_lip['room_21'] == "":
                    "You knock on the door but there's no response."
                else:
                    "You knock on the door but there's no response."
                jump scene_bloody_lip.second_floor
            "Room 24":
                if numberOfItem(inventory,item_key_24) > 0:
                    jump scene_bloody_lip.safe_room
                elif bloody_lip['room_21'] == "":
                    "You knock on the door but there's no response."
                else:
                    "You knock on the door but there's no response."
                jump scene_bloody_lip.second_floor
            "Room 25":
                if numberOfItem(inventory,item_key_25) > 0:
                    jump scene_bloody_lip.safe_room
                elif bloody_lip['room_21'] == "":
                    "You knock on the door but there's no response."
                else:
                    "You knock on the door but there's no response."
                jump scene_bloody_lip.second_floor
            "Room 26":
                if numberOfItem(inventory,item_key_26) > 0:
                    jump scene_bloody_lip.safe_room
                elif bloody_lip['room_21'] == "":
                    "You knock on the door but there's no response."
                else:
                    "You knock on the door but there's no response."
                jump scene_bloody_lip.second_floor
            "Go downstairs":
                jump scene_bloody_lip.interior

    label .safe_room:
        show bg basic with dissolve
        $ indoor()
        $ map_point = vergesseneburg

        if pc.hp <= 0:
            $ pc.hp = 0
            $ pc.addHP(pc.max_hp/8)
            $ pc.libido = int(pc.max_libido/2)
            $ add_time(4,0)
            "You wake up in your room feeling groggy and beaten up. Looks like you had a rough go of it."

        $ _n = False
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "Your room is a modest space. Dark wood panel walls rise up to a sagging ceiling. A single round window looks over the back of the building. The glass is stained with age, tinting the sunlight a sickly color as it fills the room."
                    $ _t = "A small bed is pressed against one wall. Thin sheets are pulled across a straw mattress and covered by a light blanket. A simple bedside table sits under the window, adorned with a vase filled with wilted flowers. A small chest is tucked under the bed allowing you to store your belongings."
                # Rain
                elif weather == 2:
                    "Your room is a dreary place during the storm. Wood panel walls rise up to a sagging ceiling which creaks against the storm. A round window overlooks the back of the building."
                    $ _t = "Glass streaked with the heavy rain makes it difficult to see outside. A small table sits under the window, adorned with a vase of wilted flowers. A small bed is pressed against one wall. Thin sheets and a light blanket are pulled over a straw mattress. You can see the corner of a small chest poking out from under the bed."
                # Storm
                else:
                    $ _t = "Your room is a dismal place in the thunderstorm. Wood panel walls creak against the howling winds and the ceiling sags dangerously. A small candle illuminates the room revealing a dark window that flashes menacingly with each strike of lightning. A small table sits under the window decorated with wilted flowers. A modest bed is pressed against one wall. Thin sheets wrapped tightly around the straw mattress and covered with a simple blanket. You notice a small chest poking out from under the bed."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Bloody Lip Interior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Bloody Lip Interior. Day"
                # Storm
                else:
                    $ _t = "Messis Storm Bloody Lip Interior. Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Bloody Lip Interior. Day"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Bloody Lip Interior. Day"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Bloody Lip Interior. Day"
        # Night
        else:
            $ _n = True
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Your room is a quiet place on these clear nights. Moonlight pours in through a round dingy window. Sickly yellow light runs up the wood panel walls. The ceiling sags slightly from age. A small table sits under the window decorated with a vase of wilted flowers. You see a small bed pressed against one wall. Thin sheets are wrapped around a straw mattress, like bandages on a mummy. A thin blanket lays flat across it. You can see a small chest poking out from under the bed."
                # Rain
                elif weather == 2:
                    $ _t = "Your room is a chilling place in the storm. The dark room is lit only by a single candle which lights the modest space. A small bed is pressed against a wall. There is a straw mattress wrapped tightly in thin sheets lays on top of the wooden bed frame. A light blanket decorates the bed, carefully draped across it. A rain smeared window faces the back of the building, but the heavy storm prevents you from seeing beyond a few feet. You notice a small chest tucked carefully under the bed."
                # Storm
                else:
                    $ _t = "Flashes of lightning illuminate and rattle the small room. A single age stained window lets in the light from the storm. Long shadows creep up the wood panel walls to the sagging ceiling. A vase adorns a small table under the window. Wilting flowers tremble against a terrible cold draft. There's a modest bed pressed against one wall. It's straw mattress tightly wound in thin sheets and adorned with a light blanket. You can see the corner of a chest carefully tucked under the wooden bed frame."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Messis Clear Bloody Lip Interior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Messis Rain Bloody Lip Interior. Night"
                # Storm
                else:
                    $ _t = "Messis Storm Bloody Lip Interior. Night"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Levisomnus Clear Bloody Lip Interior. Night"
                # Rain
                elif weather == 2:
                    $ _t = "Levisomnus Rain Bloody Lip Interior. Night"
                # Storm
                else:
                    $ _t = "Levisomnus Storm Bloody Lip Interior. Night"

        menu:
            "[_t]"
            "Rest":
                $ last_checkpoint = "scene_bloody_lip.safe_room"
                $ add_time(8,0)
                $ pc.hp = pc.max_hp
                $ pc.libido = 0
                jump scene_bloody_lip.safe_room
            "Level up":
                $ last_checkpoint = "scene_bloody_lip.safe_room"
                $ add_time(1,0)
                jump scene_vacdes.talk_vacdes
            "Rest and Level up":
                $ last_checkpoint = "scene_bloody_lip.safe_room"
                $ add_time(8,0)
                $ pc.hp = pc.max_hp
                $ pc.libido = 0
                jump scene_vacdes.talk_vacdes
            "Arrange Skills":
                hide screen clock
                hide screen menubar
                $ selected_item = None
                $ selected_skill = None

                call screen skill_screen() with dissolve
            "Access Storage":
                $ selected_item = None
                hide screen menubar
                hide screen clock
                call screen storage_screen
            "Save":
                hide screen menubar
                hide screen clock
                call screen save
            "Leave":
                jump scene_bloody_lip.second_floor

        jump scene_bloody_lip.safe_room

label talk_lucia:
    $ indoor()
    label .first_meeting:
        $ relationship_lucia["met_lucia"] = True
        "You approach the bartender carefully. She smiles at you revealing a predatory set of fangs behind her thin lips. She places her elbow on the bar, resting her chin in her hand coyly. Her sharp cat like eyes cut through you, dissecting you down to your core. Her expression is blatantly apparent, confident, predatory and playful. Like a cat toying with her food."
        lucia "Seems a new face has graced my humble home. To whom do I owe the pleasure?"
        menu:
            "I'm [pc_name]":
                if pc_crime == 0:
                    "[pc_name]" "\"I'm [pc_name], I was found guilty of a crime I didn't commit and sent here to live out my sentence.\""
                elif pc_crime == 1:
                    "[pc_name]" "\"I'm [pc_name], I fought against the Legion when they took over my homeland.\""
                else:
                    "[pc_name]" "\"I'm [pc_name], a thief who was arrested by the Legion.\""
                "The words are pulled from your mouth without thought. You're immediately aware of how thoughtlessly you just spoke. It was as if you had no control of not just your tongue but your mind itself. It's a strange and somewhat unsettling feeling that makes your mouth feel dry."
                lucia "It's a pleasure to meet you, [pc_name]. My name is Lucia Alexandreina Albescu the Third. This is my home and my town, which I welcome you to. So long as you cause me no trouble you are welcome to live and do as you please."

            "You're quite charming ({b}occultist{/b})":
                player "\"You're quite compelling my Lady but I believe it's polite to provide your own name before asking it of others.\" You say resisting the woman's charm."
                lucia "She laughs, a noble cackle. \"Oh my, it's been sometime since I've met someone who could resist me. I am Lucia Alexandreina Albescu the Third. This is my home and my town. You would do well to remember that in the future.\" She hisses her final words sharply. Her mouth curled into a predatory smile that reveals her fangs."
                player "\"I apologize my lady.\" You say with a bow. \"I am [pc_name]. It's a pleasure to meet you.\""
                lucia "\"You're quite intriguing [pc_name]. So long as you cause me no trouble I welcome you to stay as long as you wish.\""

        jump talk_lucia.conversation

    label .approach:
        "You approach the Lucia with some hesitation, her commanding presence it's almost tangible. You feel a little anxious as you approach but that anxiety is quickly wiped away as she smiles."
        lucia "\"How might I help you?\" Her voice is firm but calming, her gaze predatory but comforting. A strange juxtaposition that you can't quite explain."
        jump talk_lucia.conversation

    menu .conversation:
        # "What can you tell me about...?"
            # jump talk_lucia.lucia_information
        "Do you have any jobs I can do?":
            jump talk_lucia.quests
        "I have supplies for you" if squeeb_quest["quest"] == 0 and squeeb_quest["quest_phase"] == 1:
            jump talk_lucia.squeeb_quest_01
        "What do you have for sale?":
            lucia "\"Have a look~\""
            $ shopInventory = mortyInventory
            hide screen menubar
            hide screen clock
            call screen shop_screen(inventory,shopInventory,1.5) with dissolve
            $ mortyInventory = _return
            jump talk_lucia.conversation
        "I'm looking for a room...":
            jump talk_lucia.room
        "How did you get here?":
            jump talk_lucia.get_here
        "Nevermind":
            jump scene_bloody_lip.interior

    label .quests:
        lucia "None at the moment, but check back again later. I'm sure I'll have work for you soon enough. I always like a -- with initiative."
        jump talk_lucia.conversation

    label .squeeb_quest_01:
        lucia "\"Oh how unfortunate. I was hoping to see that delightful little rodent again.\" She pouts childishly for a moment before recomposing herself. \"No matter. I appreciate your assistance, here are the supplies he requested as per our usual arrangement. Please give him my fond regards and tell him to come in person next time. I do miss his company.\""
        $ squeeb_quest["quest_phase"] = 2
        $ removeQuestItem(item_squeeb_mead,1)
        $ removeQuestItem(item_squeeb_letter,1)
        $ addToInventory(inventory,item_squeeb_supplies,1)
        jump talk_lucia.conversation

    label .get_here:
        lucia "\"Oh that's a rather long story depending on what you mean specifically. At present let's just say that I've lived here my whole life but only recently came to own this humble town and tavern.\""
        jump talk_lucia.conversation

    label .room:
        lucia "\"Oh, well I don't simply rent these rooms to anyone, but if you'd like a buy a space in my humble town I am selling some rooms for 15 gold coins or something of equal value. If you can find me some I'd happily part with a key.\""
        jump talk_lucia.conversation

label talk_morty:
    $ indoor()

    # show morty with dissolve
    label .first_meeting:
        "You walk up to the bar, taking a seat on one of the expertly carved stools. It creaks against the wooden floor as you sit. The ghoulish bartender looks to you. His long crooked mouth and sunken eyes betray no emotion. He takes a raspy breath."
        $ _d = "morning"
        if calendar[3] >= 12:
            $ _d = "afternoon"

        show morty nude_idle with dissolve

        "Bartender" "Good [_d] friend. What can I get you?"
        player "\"Hi. I'm [pc_name]. I'm a little new here. What do you have?\""
        "Bartender" "\"We've got mead mostly. Some wine. A little Legion ale if that's your fancy. You can call me Morty.\" His voice sounds like gravel as he speaks in raspy gasps."
        player "I don't really have anything to pay you with."
        morty "First ones on the house."
        menu:
            "Mead":
                morty "\"A fine choice.\" The ghoul says in low gravely tone. He reaches behind the bar pulling on a barrel tap. He fills a simple tankard with syrupy yellow liquid. He slides the drink across to you. \"It's a local brew. Stay safe [pc_name].\""
                $ addToInventory(inventory,item_mead,1)
            "Legion ale":
                morty "\"Not many folks want that.\" The ghoul says, curiosity slipping through his gravely voice. He reaches behind the bar with is long clawed arms. He reaches for a glass jug, popping the cork off it he pours the pungent liquid into a tankard. He slides the drink across to you. \"You won't find this many other place around here, at least no where you'd want to be. Stay safe [pc_name].\""
                $ addToInventory(inventory,item_ale,1)
            "Wine":
                morty "\"It's not a fine vintage but it'll suffice.\" The ghoul says, his voice like stones running through gravel. He reaches under the bar, pulling out a narrow glass bottle. He pours a crimson liquid into a misshapen wineglass. He hands you the drink gingerly, with a surprising grace for someone of his size and proportion. \"Enjoy and stay safe [pc_name].\""
                $ addToInventory(inventory,item_wine,1)

        hide morty with dissolve
        $ relationship_morty['met_morty'] = True
        jump scene_bloody_lip.interior

    label .approach:
        show morty nude_idle with dissolve
        "You step up to the bar, taking a seat at an unoccupied bar stool. Morty looks to you with a slight nod that shifts his entire body."
        jump talk_morty.conversation

    label .conversation:
        show morty nude_idle with dissolve
        menu:
            morty "\"What's your poison?\" The ghoul asks, his voice gravely and rough."
            "What brought you here?":
                jump talk_morty.here
            "What do you have for sale?":
                morty "\"Let's see what I've got in the stores.\""
                $ shopInventory = mortyInventory
                hide screen menubar
                hide screen clock
                call screen shop_screen(inventory,shopInventory,1.5) with dissolve
                $ mortyInventory = _return
                jump talk_morty.conversation
            "Can I get a room?":
                jump talk_morty.room
            "Lyra needs help at the temple" if relationship_lyra['looking_for_help']:
                jump talk_morty.help_lyra
            "Nevermind":
                morty "Farewell"
                hide morty with dissolve
                jump scene_bloody_lip.interior

    label .here:
        morty "\"I've been here for a long time now. Spent several decades serving the Albescu family. Once Lady Lucia awoke I returned to my post. Now I serve as the bartender here. As such I ask that you not do anything to upset the lady of the house.\" Morty explains gruffly, his needle like teeth clicking together as he speaks."
        jump talk_morty.conversation

    label .room:
        morty "\"We don't have any rooms left for rent, but we have a couple rooms for sale if you'd like. Lucia's asking for 15 gold coins per room or something of equal value. Bring one of us that and the room is yours.\""
        jump talk_morty.conversation

    label .help_lyra:
        morty "\"I have to tend to the bar so I won't be able to help.\" He says plainly."
        jump talk_morty.conversation

label scene_mickey_general:
    label .interior:
        $ indoor()
        $ map_point = vergesseneburg

        $ _n = False

        show mickey collared_idle with dissolve
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "The small shop has a vaulted ceiling that makes the space feel larger then it is. Lanterns with broken glass hang from chains to light the space. A few simple windows allow the morning light to filter into the shop, illuminating several low shelves and barrels. The shelves display tools in various states of disrepair. The barrels are filled with oils, wood boards, and arrows. A few wooden boxes sit under the shelves each containing their own set of trinkets and treasures for sale."
                    "A thin creature sits behind the counter. Skin tightly pulled across a bony frame. In place of a head they appear to have a large wooden chest with metal fittings which curl into a toothy grin."
                # Rain
                elif weather == 2:
                    "The interior of Mickey's General Store is dimly lit with candles set in broken lanterns. Wooden shutters cover the windows against the rain, which gentle taps on them in the morning storm. Barrels, shelves and boxes are arranged to display a variety of oddities and trinkets. Oils, boards, tools and dried foods all sit proudly in the candlelight."
                    if relationship_mickey["repaired"] == False:
                        "A small buckets sits partially filled with water in one corner of the store. The periodic splash makes you aware of a small leak in the roof. A thin creature sits behind the counter. Skin tightly pulled across a bony frame. In place of a head they appear to have a large wooden chest with metal fittings which curl into a concerned smile."
                    else:
                        "A thin creature sits behind the counter. Skin tightly pulled across a bony frame. In place of a head they appear to have a large wooden chest with metal fittings which curl into a concerned smile."
                # Storm
                else:
                    "The interior of the General Store is dimly lit with a high vaulted ceiling covered in shadow. Flickering candles sputter in broken lanterns, defiantly fighting against the dark storm. The light glints off boxes and barrels revealing odd trinkets, baubles and tools. Wind whistles harshly outside and the shutters rattle against their locks. Flashes of lightning cast dark shadows which stretch in long tendrils across the shop floor."
                    if relationship_mickey["repaired"] == False:
                        "A small bucket nearly overflows with water in the corner of the store. Rain drips heavily through a hole in the ceiling, the sound of splashing mingles with the dampened sound of the storm outside. A thin creature sits behind the counter. Skin tightly pulled across a bony frame. In place of a head they appear to have a large wooden chest with metal fittings which curl into a concerned smile."
                    else:
                        "A thin creature sits behind the counter. Skin tightly pulled across a bony frame. In place of a head they appear to have a large wooden chest with metal fittings which curl into a concerned smile."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. Messis Day"
                # Storm
                else:
                    $ _t = "Mickey General Night. Messis Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. Levisomnus Day"
                # Storm
                else:
                    $ _t = "Mickey General Night. Levisomnus Day"
        # Night
        else:
            $ _n = True
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Mickey General Night. How did you get here?"
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Mickey General Night. How did you get here?"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Mickey General Night. How did you get here?"

        jump talk_mickey.talk

label talk_mickey:
    label.talk:
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "\"Welcome, welcome says Mickey. How might this one be of service? Mickey asks humbly.\""
                # Rain
                elif weather == 2:
                    $ _t = "\"Welcome, dry yourself from the storm says Mickey with concern. Peruse Mickey's wares while you do, yes?\""
                # Storm
                else:
                    $ _t = "\"Come, come dry yourself from the storm says Mickey encouragingly. This one has many wares to peruse while giving you shelter.\""
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. Messis Day"
                # Storm
                else:
                    $ _t = "Mickey General Night. Messis Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. Levisomnus Day"
                # Storm
                else:
                    $ _t = "Mickey General Night. Levisomnus Day"
        # Night
        else:
            $ _n = True
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Mickey General Night. How did you get here?"
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Mickey General Night. How did you get here?"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Mickey General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Mickey General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Mickey General Night. How did you get here?"

        menu:
            "Mickey" "[_t]"
            "Shop":
                $ shopInventory = mickeyInventory
                hide screen menubar
                hide screen clock
                call screen shop_screen(inventory,shopInventory,1.5) with dissolve
                $ mickeyInventory = _return
                jump talk_mickey.talk
            "Lyra is looking for help repairing the temple" if relationship_lyra['looking_for_help']:
                jump talk_mickey.help_lyra
            "Leave":
                hide mickey with dissolve
                jump scene_vergesseneburg.exterior

    label .help_lyra:
        if renpy.random.randint(1,2) == 1:
            mickey "\"On no, this one is far to weak for such work. Mickey has scrawny arms unfit for labor. Perhaps you seek out a large brute, suggests Mickey.\" The odd mimic says with a toothy smile while pressing his fingers together."
        else:
            mickey "\"This one apologizes but cannot leave the shop unattended. Mickey has important work to do and is unfit for labor.\" The odd mimic says with a large smile. \"Perhaps you seek out a large brute, suggests Mickey in compensation for their failure.\""

        jump talk_mickey.talk

label scene_agatha_apothecary:
    label .introduction:
        $ indoor()
        $ map_point = vergesseneburg

        "You step inside a large cluttered shop. The interior is lined with shelves, filled with twisted and misshapen flasks. Liquids and chemicals of various colors twist within their containers. Drying herbs and plants hang from the ceiling and along that window frames near the entrance. Pungent aromas mix in bizarre, ever changing ways that cause your nose to wrinkle. At one end of the room is a small desk, a candle burns softly under a flask of boiling liquid."
        "You see a lithe woman hunched over the work station, a mortar and pestle clenched firmly in her hands. She carefully grinds dried leaves into a fine powder which she adds to the chemicals. The liquid rapidly shifts in hue as she removes it from the heat source. She turns to you with a warm smile, revealing her feline features. A pair of crooked fangs poking out behind her lip as she does."
        show agatha collared_idle with dissolve

        "Feline Woman" "\"Good afternoon. You must be new to town. I'm Agatha, the alchemist here. Who might you be?\""
        "[pc_name]" "I'm [pc_name]"
        "Agatha" "\"It's a pleasure to meet you [pc_name]. I'm unfortunately running low on supplies at the moment but I can provide you with some simple medicines if you wish to trade.\""
        if pc.equipment['Acc'].id_key != item_magic_collar.id_key and pc.equipment['Acc'].id_key != item_broken_collar.id_key and relationship_agatha['no_collar'] == False:
            $ relationship_agatha['no_collar'] = True

        $ relationship_agatha["met_agatha"] = True
        jump talk_agatha.talk

    label .interior:
        $ indoor()
        $ map_point = vergesseneburg

        $ _n = False

        show agatha collared_idle with dissolve
        # Day
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    "Drying herbs and flowers hang in bundles from broken window frames at the front of the humble alchemy shop. A soft sunlight dances in colorful patterns across the floor and interior of the shop. The light glints and reflects of misshapen beakers and flasks. Refracting through various liquids and chemicals. Strong smells fill your nose from the various chemicals and compounds that fill the room."
                    "Sitting at a small desk sits Agatha. She carefully crushes herbs with a mortar and pestle. The sound of grinding stone and crunching of dried leaves create a dull white noise. The sounds of alchemy work mix with the tweeting of a small bird which sings happily in a twisted bird cage."
                # Rain
                elif weather == 2:
                    "Wooden window shutters rattle on their hinges against the rain and wind. The humble alchemy shop is filled with a chilly draft of the storm outside. Bundles of dried herbs hang along the walls, filling the room with various pungent scents. The smells are strong and mingle in strange ways causing your nose to wrinkle unconsciously. Potions and chemicals stored in misshapen flasks line several shelves."
                    "Sitting at a small work station sits Agatha. She carefully mixes herbs into boiling liquids. A small bird sleeps quietly in a twisted bird cage next to her as she works. The sound of rain dripping down the side of the building echoes through the interior."
                # Storm
                else:
                    "The inner store room of the apothecary is warm in contrast with the icy cold of the storm outside. The wooden shutters rattle loudly. The wind threatening to rip them from the building. Twisted glass flasks rattle on shelves as the building trembles against the storm. The smells of drying herbs fill your nose, forcing it to wrinkle at the bizarre combination of scents."
                    "Sitting at a small desk is Agatha. She carefully grinds dried herbs with a mortar and pestle. She carefully mixes the concoctions, adding them to boiling liquids which smoke and boil. Nearby a small bird shutters and chips timidly in a twisted old bird cage."
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General. Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General. Messis Day"
                # Storm
                else:
                    $ _t = "Agatha General. Messis Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General. Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General. Levisomnus Day"
                # Storm
                else:
                    $ _t = "Agatha General. Levisomnus Day"
        # Night
        else:
            $ _n = True
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Agatha General Night. How did you get here?"
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Agatha General Night. How did you get here?"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Agatha General Night. How did you get here?"

        if pc.equipment['Acc'].id_key != item_magic_collar.id_key and pc.equipment['Acc'].id_key != item_broken_collar.id_key and relationship_agatha['no_collar'] == False:
            agatha "\"You've removed your collar!\" She exclaims excitedly. \"How did you manage such a thing?\""
            if hero >= villain:
                player "\"I met a sorcerer who removed it. He told me the way to remove them though it's complicated.\""
            else:
                player "\"I won't let the Legion chain me. I've learned the secrets of their magic, though convoluted it can be defeated.\""
            agatha "\"If you can remove mine I'd be grateful. I'll do whatever I need to, just ask.\" She says eagerly."

            $ relationship_agatha['no_collar'] = True

        jump talk_agatha.talk

label talk_agatha:
    label.talk:
        if calendar[3] > 6 and calendar[3] < 20:
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "\"How can I help you today " +  str(pc.profile['Name']) + "\""
                # Rain
                elif weather == 2:
                    $ _t = "\"How can I help you today " +  str(pc.profile['Name']) + "\""
                # Storm
                else:
                    $ _t = "\"How can I help you today " +  str(pc.profile['Name']) + "\""
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General. Messis Day"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General. Messis Day"
                # Storm
                else:
                    $ _t = "Agatha General. Messis Day"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General. Levisomnus Day"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General. Levisomnus Day"
                # Storm
                else:
                    $ _t = "Agatha General. Levisomnus Day"
        # Night
        else:
            $ _n = True
            # Seminandum or Crescente
            if calendar[1] == 1 or calendar[1] == 2:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Agatha General Night. How did you get here?"
            # Messis
            elif calendar[1] == 3:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Agatha General Night. How did you get here?"
            # Levisomnus
            else: # calendar[1] == 4:
                # Clear
                if weather == 1:
                    $ _t = "Agatha General Night. How did you get here?"
                # Rain
                elif weather == 2:
                    $ _t = "Agatha General Night. How did you get here?"
                # Storm
                else:
                    $ _t = "Agatha General Night. How did you get here?"

        menu:
            "Agatha" "[_t]"
            "What do you have to trade?":
                $ shopInventory = agathaInventory
                hide screen menubar
                hide screen clock
                call screen shop_screen(inventory,shopInventory,1.5) with dissolve
                $ agathaInventory = _return
                jump talk_agatha.talk
            "Is there anything I can help with?" if agatha_quest['quest'] == 0 and agatha_quest['quest_phase'] == 0:
                jump .agatha_quests
            "I have the samples you need?" if agatha_quest['quest'] == 0 and agatha_quest['quest_phase'] == 1:
                jump .agatha_quests
            "Lyra needs help at the temple" if relationship_lyra['looking_for_help']:
                jump .help_lyra
            "Leave":
                hide agatha with dissolve
                jump scene_vergesseneburg.exterior

    label .agatha_quests:
        if agatha_quest['quest'] == 0:
            if agatha_quest['quest_phase'] == 0:
                "Agatha" "\"Currently I have enough supplies for basic medicine but I'm missing ingredients for my more interesting concoctions. I need some genetic material from the local goblinoids. With it I could create some interesting mutagens.\""
                "[pc_name]" "\"Genetic material?\""
                "Agatha" "\"Yes, you know. Strands of hair, blood... other fluids.\""
                "[pc_name]" "\"You want goblin cum... for potions?\""
                "Agatha" "\"I-it doesn't have to be cum.\" She stammers, seemingly flustered. \"Goblinoids are highly susceptible to mutation, far more then most races. Goblins, orcs and trolls all share this quality. By using some... material... I can create potions that will give others that same mutable quality. By taking advantage of these mutagens I'll be able to create potions that could improve physical strength, heighten awareness and even change your appearance. However to start this I need some goblinoid samples to start...\""

                menu:
                    "Agatha" "Agatha spends several more minutes explaining herself. Though the more she explains the less convincing her arguments become. \"...and that's why I need you to gather some materials for me. If you do I can give you a good price on my potions going forward.\""
                    "Sure. I'll see what I can do.":
                        "Agatha" "\"Fantastic! Thank you very much. You won't regret this. If you can bring me 8 Goblinoid Samples that should be enough for me to get started. You can gather then from goblins, orcs or trolls.\""
                        $ agatha_quest['quest_phase'] = 1
                        jump talk_agatha.talk
                    "I'm a little busy right now. Maybe some other time.":
                        "Agatha" "\"That's unfortunate but I understand. If you find time please let me know. It would help me a lot.\""
                        jump talk_agatha.talk
            if agatha_quest['quest_phase'] == 1:
                # Check if player has enough goblin samples
                if numberOfItem(inventory,item_goblin_sample) >= 8:
                    "Agatha" "\"Thank you so much. I can get started right away. I'll have the shop stocked at the start of the week with my new potions. I don't have much to reward you with but when I moved in here I did find this strange page. I don't know what it says but perhaps you can find a use for it.\" Agatha takes the samples from you, carefully arranging them next to her other chemicals and herbs."
                    $ removeItem(inventory,item_goblin_sample,8)
                    $ addToInventory(inventory,item_xp_page_I,2)
                    $ agatha_quest['quest_phase'] = 0
                    $ agatha_quest['quest'] = 1
                    jump talk_agatha.talk
                else:
                    "Agatha" "\"Oh it looks like you don't have enough samples yet. I need 8 goblin samples to start my potions. Come back to when you have enough.\""
                    jump talk_agatha.talk

    label .help_lyra:
        agatha "\"Oh that darling little wererat I've seen running around lately. I'd love to help but I can't leave the shop unattended I'm afraid.\" She says apologetically."
        jump talk_agatha.talk
